import type { DatabaseConnection } from '@databases/sqlite';
import { Luvio } from '@luvio/engine';
interface RecordingRequestData {
    method: string;
    path: string;
    responseBodyFileName?: string;
    url: string;
    statusCode?: string;
    statusMessage?: string;
}
interface RecordingData {
    ids: Record<string, RecordingRequestData>;
}
/**
 * Runs setup code and measures the ingestion stats on a number of records by splitting it into batches
 *
 * @returns The measurement results and luvio/db instances
 */
export declare function runMeasurement(data: RecordingData, dataDir: string): Promise<{
    measurements: {
        measurementsMs: number[];
        memoryUsageBytes: number[];
    };
    luvio: Luvio;
    db: DatabaseConnection;
    numRecordBatch: number;
    numRelatedListRecords: number;
    numUnknown: number;
}>;
export {};
