import type { DatabaseConnection, DatabaseTransaction } from '@databases/sqlite';
import type { DurableStore, DurableStoreEntries, OnDurableStoreChangedListener, DurableStoreOperation, DurableStoreChange, DurableStoreMetadataEntries } from '@luvio/environments';
export declare class SqliteMockDurableStore implements DurableStore {
    private db;
    listeners: Set<OnDurableStoreChangedListener>;
    private dbCreated;
    constructor(db: DatabaseConnection);
    getMetadata(_entryIds: string[], _segment: string): Promise<DurableStoreMetadataEntries | undefined>;
    setMetadata(_entries: DurableStoreMetadataEntries, _segment: string): Promise<void>;
    private setupDb;
    getEntries<T>(entryIds: string[], segment: string): Promise<DurableStoreEntries<T> | undefined>;
    getAllEntries<T>(segment: string): Promise<DurableStoreEntries<T>>;
    setEntries<T>(entries: DurableStoreEntries<T>, segment: string): Promise<void>;
    evictEntries(ids: string[], segment: string): Promise<void>;
    registerOnChangedListener(listener: OnDurableStoreChangedListener): () => Promise<void>;
    batchOperations<T>(operations: DurableStoreOperation<T>[]): Promise<void>;
    performOperation<T>(operation: DurableStoreOperation<T>, transaction: DatabaseTransaction): Promise<DurableStoreChange>;
    private insertEntries;
    private deleteEntries;
}
