import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Fragment as $64$luvio_engine_Fragment, Snapshot as $64$luvio_engine_Snapshot, FetchResponse as $64$luvio_engine_FetchResponse, ErrorResponse as $64$luvio_engine_ErrorResponse, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, CoercedAdapterRequestContext as $64$luvio_engine_CoercedAdapterRequestContext, StoreLookup as $64$luvio_engine_StoreLookup, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { SearchFilterInputRepresentation as types_SearchFilterInputRepresentation_SearchFilterInputRepresentation } from '../types/SearchFilterInputRepresentation';
import { ResourceRequestConfig as resources_postUiApiSearchResultsKeyword_ResourceRequestConfig } from '../resources/postUiApiSearchResultsKeyword';
import { KeywordSearchResultsSummaryRepresentation as types_KeywordSearchResultsSummaryRepresentation_KeywordSearchResultsSummaryRepresentation } from '../types/KeywordSearchResultsSummaryRepresentation';
export declare const adapterName = "getKeywordSearchResults";
export declare const getKeywordSearchResults_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const getKeywordSearchResults_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface GetKeywordSearchResultsConfig {
    objectApiName: string;
    q: string;
    configurationName?: string;
    filters?: Array<types_SearchFilterInputRepresentation_SearchFilterInputRepresentation>;
    pageSize?: number;
    pageToken?: string;
    sortBy?: string;
}
export declare const createResourceParams: (config: GetKeywordSearchResultsConfig) => resources_postUiApiSearchResultsKeyword_ResourceRequestConfig;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: GetKeywordSearchResultsConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: GetKeywordSearchResultsConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<GetKeywordSearchResultsConfig>): adapter$45$utils_Untrusted<GetKeywordSearchResultsConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): GetKeywordSearchResultsConfig | null;
export declare function adapterFragment(luvio: $64$luvio_engine_Luvio, config: GetKeywordSearchResultsConfig): $64$luvio_engine_Fragment;
export declare function buildCachedSnapshot(luvio: $64$luvio_engine_Luvio, config: GetKeywordSearchResultsConfig): $64$luvio_engine_Snapshot<types_KeywordSearchResultsSummaryRepresentation_KeywordSearchResultsSummaryRepresentation, any>;
export declare function onFetchResponseSuccess(luvio: $64$luvio_engine_Luvio, config: GetKeywordSearchResultsConfig, resourceParams: resources_postUiApiSearchResultsKeyword_ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_KeywordSearchResultsSummaryRepresentation_KeywordSearchResultsSummaryRepresentation>): Promise<import("@luvio/engine").FulfilledSnapshot<types_KeywordSearchResultsSummaryRepresentation_KeywordSearchResultsSummaryRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_KeywordSearchResultsSummaryRepresentation_KeywordSearchResultsSummaryRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_KeywordSearchResultsSummaryRepresentation_KeywordSearchResultsSummaryRepresentation, any>>;
export declare function onFetchResponseError(luvio: $64$luvio_engine_Luvio, config: GetKeywordSearchResultsConfig, resourceParams: resources_postUiApiSearchResultsKeyword_ResourceRequestConfig, response: $64$luvio_engine_ErrorResponse): Promise<import("@luvio/engine").ErrorSnapshot>;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: GetKeywordSearchResultsConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<$64$luvio_engine_Snapshot<types_KeywordSearchResultsSummaryRepresentation_KeywordSearchResultsSummaryRepresentation, any>>;
export type BuildSnapshotContext = {
    luvio: $64$luvio_engine_Luvio;
    config: GetKeywordSearchResultsConfig;
};
export declare function buildNetworkSnapshotCachePolicy(context: BuildSnapshotContext, coercedAdapterRequestContext: $64$luvio_engine_CoercedAdapterRequestContext): Promise<$64$luvio_engine_Snapshot<types_KeywordSearchResultsSummaryRepresentation_KeywordSearchResultsSummaryRepresentation, any>>;
export declare function buildCachedSnapshotCachePolicy(context: BuildSnapshotContext, storeLookup: $64$luvio_engine_StoreLookup<types_KeywordSearchResultsSummaryRepresentation_KeywordSearchResultsSummaryRepresentation>): $64$luvio_engine_Snapshot<types_KeywordSearchResultsSummaryRepresentation_KeywordSearchResultsSummaryRepresentation, any>;
export declare const getKeywordSearchResultsAdapterFactory: $64$luvio_engine_AdapterFactory<GetKeywordSearchResultsConfig, types_KeywordSearchResultsSummaryRepresentation_KeywordSearchResultsSummaryRepresentation>;
