import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Fragment as $64$luvio_engine_Fragment, Snapshot as $64$luvio_engine_Snapshot, FetchResponse as $64$luvio_engine_FetchResponse, ErrorResponse as $64$luvio_engine_ErrorResponse, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, CoercedAdapterRequestContext as $64$luvio_engine_CoercedAdapterRequestContext, StoreLookup as $64$luvio_engine_StoreLookup, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { DocumentNode as $64$luvio_graphql$45$parser_DocumentNode } from '@luvio/graphql-parser';
import { GraphQLVariables as $64$luvio_graphql_GraphQLVariables } from '@luvio/graphql';
import { ResourceRequestConfig as resources_postGraphql_ResourceRequestConfig } from '../resources/postGraphql';
import { GraphQLRepresentation as types_GraphQLRepresentation_GraphQLRepresentation } from '../types/GraphQLRepresentation';
export declare const adapterName = "graphql";
export declare const graphql_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const graphql_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface GraphqlConfig {
    query: $64$luvio_graphql$45$parser_DocumentNode;
    operationName?: string;
    variables?: $64$luvio_graphql_GraphQLVariables;
}
export declare const createResourceParams: (config: GraphqlConfig) => resources_postGraphql_ResourceRequestConfig;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: GraphqlConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: GraphqlConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<GraphqlConfig>): adapter$45$utils_Untrusted<GraphqlConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): GraphqlConfig | null;
export declare function transformConfiguration(config: GraphqlConfig): GraphqlConfig;
export declare function adapterFragment(luvio: $64$luvio_engine_Luvio, config: GraphqlConfig): $64$luvio_engine_Fragment;
export declare function buildCachedSnapshot(luvio: $64$luvio_engine_Luvio, config: GraphqlConfig): $64$luvio_engine_Snapshot<types_GraphQLRepresentation_GraphQLRepresentation, any>;
export declare function onFetchResponseSuccess(luvio: $64$luvio_engine_Luvio, config: GraphqlConfig, resourceParams: resources_postGraphql_ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_GraphQLRepresentation_GraphQLRepresentation>): Promise<import("@luvio/engine").FulfilledSnapshot<types_GraphQLRepresentation_GraphQLRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_GraphQLRepresentation_GraphQLRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_GraphQLRepresentation_GraphQLRepresentation, any>>;
export declare function onFetchResponseError(luvio: $64$luvio_engine_Luvio, config: GraphqlConfig, resourceParams: resources_postGraphql_ResourceRequestConfig, response: $64$luvio_engine_ErrorResponse): Promise<import("@luvio/engine").ErrorSnapshot>;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: GraphqlConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<$64$luvio_engine_Snapshot<types_GraphQLRepresentation_GraphQLRepresentation, any>>;
export type BuildSnapshotContext = {
    luvio: $64$luvio_engine_Luvio;
    config: GraphqlConfig;
};
export declare function buildNetworkSnapshotCachePolicy(context: BuildSnapshotContext, coercedAdapterRequestContext: $64$luvio_engine_CoercedAdapterRequestContext): Promise<$64$luvio_engine_Snapshot<types_GraphQLRepresentation_GraphQLRepresentation, any>>;
export declare function buildCachedSnapshotCachePolicy(context: BuildSnapshotContext, storeLookup: $64$luvio_engine_StoreLookup<types_GraphQLRepresentation_GraphQLRepresentation>): $64$luvio_engine_Snapshot<types_GraphQLRepresentation_GraphQLRepresentation, any>;
export declare const graphqlAdapterFactory: $64$luvio_engine_AdapterFactory<GraphqlConfig, types_GraphQLRepresentation_GraphQLRepresentation>;
