import { StoreLink as $64$luvio_engine_StoreLink, IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, SelectionPropertyKey as $64$luvio_engine_SelectionPropertyKey, Reader as $64$luvio_engine_Reader } from '@luvio/engine';
import { GraphQLVariables as $64$luvio_graphql_GraphQLVariables, GraphQLFragmentMap as $64$luvio_graphql_GraphQLFragmentMap, IsFragmentApplicableType as $64$luvio_graphql_IsFragmentApplicableType } from '@luvio/graphql';
import { FieldNode as $64$luvio_graphql$45$parser_FieldNode, FragmentSpreadNode as $64$luvio_graphql$45$parser_FragmentSpreadNode, InlineFragmentNode as $64$luvio_graphql$45$parser_InlineFragmentNode, SelectionNode as $64$luvio_graphql$45$parser_SelectionNode, OperationDefinitionNode as $64$luvio_graphql$45$parser_OperationDefinitionNode, DocumentNode as $64$luvio_graphql$45$parser_DocumentNode, SelectionSetNode as $64$luvio_graphql$45$parser_SelectionSetNode, ArgumentNode as $64$luvio_graphql$45$parser_ArgumentNode, FragmentDefinitionNode as $64$luvio_graphql$45$parser_FragmentDefinitionNode, VariableDefinitionNode as $64$luvio_graphql$45$parser_VariableDefinitionNode } from '@luvio/graphql-parser';
import { PaginationMetadata as pagination_cursor_PaginationMetadata, PaginationParams as pagination_cursor_PaginationParams, PageMetadata as pagination_cursor_PageMetadata } from '../../pagination/cursor';
export type NormalizedGraphQL<D = unknown> = {
    data: Record<string, any>;
    __link?: $64$luvio_engine_StoreLink;
    __linkedData?: D;
};
export type GraphQLTypeDetails = {
    isArray: boolean;
    typename: string;
};
export interface GraphQLState<D = unknown> {
    data: D;
    path: $64$luvio_engine_IngestPath;
    variables: $64$luvio_graphql_GraphQLVariables;
    fragments: $64$luvio_graphql_GraphQLFragmentMap;
}
export interface GraphQLLuvioState<D> extends GraphQLState<D> {
    luvio: $64$luvio_engine_Luvio;
}
export interface GraphQLIngestState<D> extends GraphQLLuvioState<D> {
    store: $64$luvio_engine_Store;
    timestamp: number;
}
export interface GetFieldTypeFunction {
    (field: $64$luvio_graphql$45$parser_FieldNode): GraphQLTypeDetails | undefined;
}
export interface GetInContextFragmentTypeFunction {
    (fragment: $64$luvio_graphql$45$parser_FragmentSpreadNode | $64$luvio_graphql$45$parser_InlineFragmentNode, fragmentMap: $64$luvio_graphql_GraphQLFragmentMap): string | undefined;
}
export interface GetMinimumSelectionsFunction {
    (): $64$luvio_graphql$45$parser_SelectionNode[];
}
export interface QueryTransformHelper {
    getInContextFragmentType: GetInContextFragmentTypeFunction;
    getFieldType: GetFieldTypeFunction;
    getMinimumSelections: GetMinimumSelectionsFunction;
}
export declare function createLink(ref: string | $64$luvio_engine_NormalizedKeyMetadata): {
    __ref: string;
};
interface IngestBaseParams<AstNodeType, StateType> {
    key: string | $64$luvio_engine_NormalizedKeyMetadata;
    isFragmentApplicable: $64$luvio_graphql_IsFragmentApplicableType;
    isMappedFieldImport: (field: $64$luvio_graphql$45$parser_FieldNode) => boolean;
    getFieldType: (field: $64$luvio_graphql$45$parser_FieldNode) => {
        isArray: boolean;
        typename: string;
    } | undefined;
    ramlIngestBlock?: (newData: NormalizedGraphQL<any>) => void;
    mergeData: (existingData: NormalizedGraphQL<any>, newData: NormalizedGraphQL<any>) => NormalizedGraphQL;
    createLink: typeof createLink;
    ingestPaginatedMetadata?: (astNode: AstNodeType, state: StateType, key: string | $64$luvio_engine_NormalizedKeyMetadata, sink: NormalizedGraphQL, existingData: NormalizedGraphQL) => void;
    storeMetadataParams: {
        ttl: number;
        namespace: string;
        representationName: string;
        version: string;
        ingestionTimestamp: number;
    };
}
interface CursorBasedIngestParams<AstNodeType, StateType> extends IngestBaseParams<AstNodeType, StateType> {
    ingestFieldByType: (typename: string, parentKey: string | $64$luvio_engine_NormalizedKeyMetadata, fullPathKey: string | $64$luvio_engine_NormalizedKeyMetadata, requestedField: $64$luvio_graphql$45$parser_FieldNode, sink: Record<string, any>, fieldKey: $64$luvio_engine_SelectionPropertyKey, fieldData: any, state: StateType) => void;
    hasGraphQLPaginationFields: (data: any) => boolean;
}
interface NonCursorBasedIngestParams<AstNodeType, StateType> extends IngestBaseParams<AstNodeType, StateType> {
    ingestFieldByType: (typename: string, parentKey: string | $64$luvio_engine_NormalizedKeyMetadata, requestedField: $64$luvio_graphql$45$parser_FieldNode, sink: Record<string, any>, fieldKey: $64$luvio_engine_SelectionPropertyKey, fieldData: any, state: StateType) => void;
}
export declare function ingestCursorConnectionType<StateType extends GraphQLIngestState<Record<string, any>>>(astNode: $64$luvio_graphql$45$parser_FieldNode, state: StateType, specifics: CursorBasedIngestParams<$64$luvio_graphql$45$parser_FieldNode, StateType>): {
    __ref: string;
};
export declare function ingestNonCursorConnectionType<AstNodeType extends $64$luvio_graphql$45$parser_FieldNode | $64$luvio_graphql$45$parser_OperationDefinitionNode, StateType extends GraphQLIngestState<Record<string, any>>>(astNode: AstNodeType, state: StateType, specifics: NonCursorBasedIngestParams<AstNodeType, StateType>): {
    __ref: string;
};
export declare const TTL = 900000;
export declare function applyMinimumFieldsToQuery(query: $64$luvio_graphql$45$parser_DocumentNode): $64$luvio_graphql$45$parser_DocumentNode;
export declare function injectSelectionSet(selectionSetNode: $64$luvio_graphql$45$parser_SelectionSetNode | undefined, queryTransformHelper: QueryTransformHelper | undefined, fragmentMap: $64$luvio_graphql_GraphQLFragmentMap): void;
export declare function getPageMetadata(paginationMetadata: pagination_cursor_PaginationMetadata | undefined, paginationParams: pagination_cursor_PaginationParams): pagination_cursor_PageMetadata;
export declare function isCursorConnectionType(fieldType: GraphQLTypeDetails | undefined): boolean;
export declare function getSerializedKeyForField(field: $64$luvio_graphql$45$parser_FieldNode, variables: $64$luvio_graphql_GraphQLVariables, fieldType: GraphQLTypeDetails | undefined): string;
export declare function getQueryTransformerForType(typename: string, fragmentMap: $64$luvio_graphql_GraphQLFragmentMap): QueryTransformHelper | undefined;
export declare function sharedGetFragmentType(fragment: $64$luvio_graphql$45$parser_FragmentSpreadNode | $64$luvio_graphql$45$parser_InlineFragmentNode, fragmentMap: $64$luvio_graphql_GraphQLFragmentMap): string | undefined;
export declare function getSelectionSetFromFragment(fragment: $64$luvio_graphql$45$parser_FragmentSpreadNode | $64$luvio_graphql$45$parser_InlineFragmentNode, fragmentMap: $64$luvio_graphql_GraphQLFragmentMap): $64$luvio_graphql$45$parser_SelectionSetNode | undefined;
export declare function getCursorConnectionMinimumSelections(): $64$luvio_graphql$45$parser_FieldNode[];
export declare function evaluateArgumentValue(argumentNode: $64$luvio_graphql$45$parser_ArgumentNode | undefined, expectedKind: 'IntValue' | 'FloatValue' | 'StringValue' | 'BooleanValue' | 'EnumValue', variables: $64$luvio_graphql_GraphQLVariables): any | undefined;
export declare function getArrayOffsetForPage(state: GraphQLIngestState<any>, node: $64$luvio_graphql$45$parser_FieldNode, key: string | $64$luvio_engine_NormalizedKeyMetadata): number;
export declare function isFragmentApplicable(fragmentNode: $64$luvio_graphql$45$parser_FragmentDefinitionNode | $64$luvio_graphql$45$parser_InlineFragmentNode, implementedInterfaces: string[], graphqlTypeName: string, typename?: string): boolean;
export declare function buildSelectionForNode<D = undefined>(source: NormalizedGraphQL<D>, reader: $64$luvio_engine_Reader<any>, parentNode: $64$luvio_graphql$45$parser_FieldNode | $64$luvio_graphql$45$parser_OperationDefinitionNode, selectionNode: $64$luvio_graphql$45$parser_SelectionNode, variables: $64$luvio_graphql_GraphQLVariables, fragments: $64$luvio_graphql_GraphQLFragmentMap, isFragmentApplicable: $64$luvio_graphql_IsFragmentApplicableType, buildSelectionForField: (source: NormalizedGraphQL<D>, reader: $64$luvio_engine_Reader<any>, sel: $64$luvio_graphql$45$parser_FieldNode, variables: $64$luvio_graphql_GraphQLVariables, fragments: $64$luvio_graphql_GraphQLFragmentMap, parentRecordId: string) => unknown, parentRecordId: string): Record<string, any> | undefined;
export declare function buildSelectionForField<SourceType>(source: SourceType, reader: $64$luvio_engine_Reader<any>, sel: $64$luvio_graphql$45$parser_FieldNode, variables: $64$luvio_graphql_GraphQLVariables, fragments: $64$luvio_graphql_GraphQLFragmentMap, isCursorConnectionType: boolean, getFieldData: (source: SourceType, sel: $64$luvio_graphql$45$parser_FieldNode, variables: $64$luvio_graphql_GraphQLVariables) => any, getFieldType: (field: $64$luvio_graphql$45$parser_FieldNode) => {
    isArray: boolean;
    typename: string;
} | undefined, selectType: (typename: string, sel: $64$luvio_graphql$45$parser_FieldNode, fieldData: any, reader: $64$luvio_engine_Reader<any>, key: $64$luvio_engine_SelectionPropertyKey, sink: any, variables: $64$luvio_graphql_GraphQLVariables, fragments: $64$luvio_graphql_GraphQLFragmentMap, parentRecordId: string) => void, parentRecordId: string): Record<string, any> | undefined;
export declare function selectTypeLink<T extends Function, NormalizedGraphQLType extends NormalizedGraphQL<unknown>>(sel: $64$luvio_graphql$45$parser_FieldNode, fieldData: any, reader: $64$luvio_engine_Reader<any>, key: $64$luvio_engine_SelectionPropertyKey, sink: any, variables: $64$luvio_graphql_GraphQLVariables, fragments: $64$luvio_graphql_GraphQLFragmentMap, version: string | undefined, selectFn: (field: $64$luvio_graphql$45$parser_FieldNode, variables: $64$luvio_graphql_GraphQLVariables, fragments: $64$luvio_graphql_GraphQLFragmentMap) => T, isCursorConnection: boolean): void;
export declare function augmentDefaultVariableValues(variableDefinitions: readonly $64$luvio_graphql$45$parser_VariableDefinitionNode[], variables: $64$luvio_graphql_GraphQLVariables): void;
export declare function selectCalculateSink<D extends NormalizedGraphQL>(sink: Record<string, any>, field: $64$luvio_graphql$45$parser_FieldNode | $64$luvio_graphql$45$parser_OperationDefinitionNode, buildSelectionForNodeFn: (source: D, reader: $64$luvio_engine_Reader<any>, parentNode: $64$luvio_graphql$45$parser_FieldNode | $64$luvio_graphql$45$parser_OperationDefinitionNode, selectionNode: $64$luvio_graphql$45$parser_SelectionNode, variables: $64$luvio_graphql_GraphQLVariables, fragments: $64$luvio_graphql_GraphQLFragmentMap, parentRecordId: string) => Record<string, any> | undefined, source: D, reader: $64$luvio_engine_Reader<any>, variables: $64$luvio_graphql_GraphQLVariables, fragments: $64$luvio_graphql_GraphQLFragmentMap, parentRecordId: string): Record<string, any>;
export {};
