import { RecordInputRepresentation as types_RecordInputRepresentation_RecordInputRepresentation } from '../types/RecordInputRepresentation';
import { ListOrderedByInfoInputRepresentation as types_ListOrderedByInfoInputRepresentation_ListOrderedByInfoInputRepresentation } from '../types/ListOrderedByInfoInputRepresentation';
import { Luvio as $64$luvio_engine_Luvio, Fragment as $64$luvio_engine_Fragment, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, FetchResponse as $64$luvio_engine_FetchResponse, SnapshotRefresh as $64$luvio_engine_SnapshotRefresh, FulfilledSnapshot as $64$luvio_engine_FulfilledSnapshot, StaleSnapshot as $64$luvio_engine_StaleSnapshot, PendingSnapshot as $64$luvio_engine_PendingSnapshot, ErrorResponse as $64$luvio_engine_ErrorResponse, ErrorSnapshot as $64$luvio_engine_ErrorSnapshot, ResourceRequest as $64$luvio_engine_ResourceRequest } from '@luvio/engine';
import { LookupValuesRepresentation as types_LookupValuesRepresentation_LookupValuesRepresentation } from '../types/LookupValuesRepresentation';
export interface ResourceRequestConfig {
    urlParams: {
        fieldApiName: string;
        objectApiName: string;
    };
    queryParams: {
        dependentFieldBindings?: Array<string>;
        page?: number;
        pageSize?: number;
        q?: string;
        searchType?: string;
        sourceRecordId?: string;
        targetApiName?: string;
    };
    body: {
        sourceRecord?: types_RecordInputRepresentation_RecordInputRepresentation;
        orderBy?: Array<types_ListOrderedByInfoInputRepresentation_ListOrderedByInfoInputRepresentation>;
    };
}
export declare function select(luvio: $64$luvio_engine_Luvio, params: ResourceRequestConfig): $64$luvio_engine_Fragment;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, params: ResourceRequestConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, params: ResourceRequestConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function getResponseCacheKeys(storeKeyMap: any, luvio: $64$luvio_engine_Luvio, resourceParams: ResourceRequestConfig, response: types_LookupValuesRepresentation_LookupValuesRepresentation): void;
export declare function ingestSuccess(luvio: $64$luvio_engine_Luvio, resourceParams: ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_LookupValuesRepresentation_LookupValuesRepresentation>, snapshotRefresh?: $64$luvio_engine_SnapshotRefresh<types_LookupValuesRepresentation_LookupValuesRepresentation>): $64$luvio_engine_FulfilledSnapshot<types_LookupValuesRepresentation_LookupValuesRepresentation, {}> | $64$luvio_engine_StaleSnapshot<types_LookupValuesRepresentation_LookupValuesRepresentation, {}> | $64$luvio_engine_PendingSnapshot<types_LookupValuesRepresentation_LookupValuesRepresentation, any>;
export declare function ingestError(luvio: $64$luvio_engine_Luvio, params: ResourceRequestConfig, error: $64$luvio_engine_ErrorResponse, snapshotRefresh?: $64$luvio_engine_SnapshotRefresh<types_LookupValuesRepresentation_LookupValuesRepresentation>): $64$luvio_engine_ErrorSnapshot;
export declare function createResourceRequest(config: ResourceRequestConfig): $64$luvio_engine_ResourceRequest;
export default createResourceRequest;
