import { SearchObjectOptionsRepresentation as types_SearchObjectOptionsRepresentation_SearchObjectOptionsRepresentation } from '../types/SearchObjectOptionsRepresentation';
import { Luvio as $64$luvio_engine_Luvio, Fragment as $64$luvio_engine_Fragment, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, FetchResponse as $64$luvio_engine_FetchResponse, SnapshotRefresh as $64$luvio_engine_SnapshotRefresh, FulfilledSnapshot as $64$luvio_engine_FulfilledSnapshot, StaleSnapshot as $64$luvio_engine_StaleSnapshot, PendingSnapshot as $64$luvio_engine_PendingSnapshot, ErrorResponse as $64$luvio_engine_ErrorResponse, ErrorSnapshot as $64$luvio_engine_ErrorSnapshot, ResourceRequest as $64$luvio_engine_ResourceRequest } from '@luvio/engine';
import { SearchResultsSummaryRepresentation as types_SearchResultsSummaryRepresentation_SearchResultsSummaryRepresentation } from '../types/SearchResultsSummaryRepresentation';
export interface ResourceRequestConfig {
    queryParams: {
        q: string;
    };
    body: {
        answerTypes?: Array<string>;
        configurationName?: string;
        objectApiNames?: Array<string>;
        searchObjectOptions?: {
            [key: string]: types_SearchObjectOptionsRepresentation_SearchObjectOptionsRepresentation;
        };
    };
}
export declare function select(luvio: $64$luvio_engine_Luvio, params: ResourceRequestConfig): $64$luvio_engine_Fragment;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, params: ResourceRequestConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, params: ResourceRequestConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function getResponseCacheKeys(storeKeyMap: any, luvio: $64$luvio_engine_Luvio, resourceParams: ResourceRequestConfig, response: types_SearchResultsSummaryRepresentation_SearchResultsSummaryRepresentation): void;
export declare function ingestSuccess(luvio: $64$luvio_engine_Luvio, resourceParams: ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_SearchResultsSummaryRepresentation_SearchResultsSummaryRepresentation>, snapshotRefresh?: $64$luvio_engine_SnapshotRefresh<types_SearchResultsSummaryRepresentation_SearchResultsSummaryRepresentation>): $64$luvio_engine_FulfilledSnapshot<types_SearchResultsSummaryRepresentation_SearchResultsSummaryRepresentation, {}> | $64$luvio_engine_StaleSnapshot<types_SearchResultsSummaryRepresentation_SearchResultsSummaryRepresentation, {}> | $64$luvio_engine_PendingSnapshot<types_SearchResultsSummaryRepresentation_SearchResultsSummaryRepresentation, any>;
export declare function ingestError(luvio: $64$luvio_engine_Luvio, params: ResourceRequestConfig, error: $64$luvio_engine_ErrorResponse, snapshotRefresh?: $64$luvio_engine_SnapshotRefresh<types_SearchResultsSummaryRepresentation_SearchResultsSummaryRepresentation>): $64$luvio_engine_ErrorSnapshot;
export declare function createResourceRequest(config: ResourceRequestConfig): $64$luvio_engine_ResourceRequest;
export default createResourceRequest;
