import { FormRepresentation as FormRepresentation_FormRepresentation } from './FormRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, ResourceIngest as $64$luvio_engine_ResourceIngest, FragmentSelection as $64$luvio_engine_FragmentSelection, PathSelection as $64$luvio_engine_PathSelection, StoreLink as $64$luvio_engine_StoreLink, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
import { RecordLayoutUserStateRepresentation as RecordLayoutUserStateRepresentation_RecordLayoutUserStateRepresentation } from './RecordLayoutUserStateRepresentation';
import { RecordLayoutRepresentation as RecordLayoutRepresentation_RecordLayoutRepresentation } from './RecordLayoutRepresentation';
import { ObjectInfoRepresentation as ObjectInfoRepresentation_ObjectInfoRepresentation } from './ObjectInfoRepresentation';
import { RecordRepresentation as RecordRepresentation_RecordRepresentation } from './RecordRepresentation';
export declare const VERSION = "509710a39c620c2f8fde016f7f475f45";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: AggregateUiRepresentation, existing: AggregateUiRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): AggregateUiRepresentationNormalized;
export interface DynamicIngestParams {
    layoutUserStates: $64$luvio_engine_ResourceIngest;
    layouts: $64$luvio_engine_ResourceIngest;
    objectInfos: $64$luvio_engine_ResourceIngest;
    records: $64$luvio_engine_ResourceIngest;
}
export declare function dynamicNormalize(ingestParams: DynamicIngestParams): (input: AggregateUiRepresentation, existing: AggregateUiRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number) => AggregateUiRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export interface DynamicSelectParams {
    layoutUserStates?: $64$luvio_engine_PathSelection;
    layouts?: $64$luvio_engine_PathSelection;
    objectInfos?: $64$luvio_engine_PathSelection;
    records?: $64$luvio_engine_PathSelection;
}
export declare const dynamicSelect: (params: DynamicSelectParams) => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: AggregateUiRepresentationNormalized, incoming: AggregateUiRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: AggregateUiRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
export declare function dynamicIngest(ingestParams: DynamicIngestParams): $64$luvio_engine_ResourceIngest;
/**
 * Aggregate UI.
 *
 * Keys:
 *    (none)
 */
export interface AggregateUiRepresentationNormalized {
    /** Map of Form API Name -> Form. */
    forms: {
        [key: string]: FormRepresentation_FormRepresentation;
    };
    /** Map of layout ID -> user state. */
    layoutUserStates: {
        [key: string]: $64$luvio_engine_StoreLink;
    };
    /** Record layouts. */
    layouts: {
        [key: string]: {
            [key: string]: {
                [key: string]: {
                    [key: string]: $64$luvio_engine_StoreLink;
                };
            };
        };
    };
    /** Object metadata. */
    objectInfos: {
        [key: string]: $64$luvio_engine_StoreLink;
    };
    /** Record data. */
    records: {
        [key: string]: $64$luvio_engine_StoreLink;
    };
}
/**
 * Aggregate UI.
 *
 * Keys:
 *    (none)
 */
export interface AggregateUiRepresentation {
    forms: {
        [key: string]: FormRepresentation_FormRepresentation;
    };
    layoutUserStates: {
        [key: string]: RecordLayoutUserStateRepresentation_RecordLayoutUserStateRepresentation;
    };
    layouts: {
        [key: string]: {
            [key: string]: {
                [key: string]: {
                    [key: string]: RecordLayoutRepresentation_RecordLayoutRepresentation;
                };
            };
        };
    };
    objectInfos: {
        [key: string]: ObjectInfoRepresentation_ObjectInfoRepresentation;
    };
    records: {
        [key: string]: RecordRepresentation_RecordRepresentation;
    };
}
