import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "695965a5832e56e0075c9a7c2ac92f77";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: FavoriteRepresentation, existing: FavoriteRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): FavoriteRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: FavoriteRepresentationNormalized, incoming: FavoriteRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: FavoriteRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * A representation of a single favorite.
 *
 * Keys:
 *    (none)
 */
export interface FavoriteRepresentationNormalized {
    /** The number of times this favorite has been used. */
    accessCount: number;
    /** The color of the icon for this favorite, usually the related entity's color. */
    iconColor: string;
    /** The URL of the icon for the favorite, usually the related entity's icon. */
    iconUrl: string;
    /** ID of the favorite. */
    id: string;
    /** The last time this favorite was used. */
    lastAccessDate: string;
    /** The name of the favorite. */
    name: string;
    /** The developer name of the entity associated with this favorite, if any. */
    objectType: string;
    /** The sort order of the favorite, from 1 to N. */
    sortOrder: number;
    /** Subtitle of the favorite, usually the entity's label. Provides additional information about the type of record or content being favorited. */
    subtitle: string;
    /** The record, API name, or content being favorited. */
    target: string;
    /** The type of record or content being favorited. */
    targetType: string;
}
/**
 * A representation of a single favorite.
 *
 * Keys:
 *    (none)
 */
export interface FavoriteRepresentation {
    accessCount: number;
    iconColor: string;
    iconUrl: string;
    id: string;
    lastAccessDate: string;
    name: string;
    objectType: string;
    sortOrder: number;
    subtitle: string;
    target: string;
    targetType: string;
}
