import { FilteredLookupInfoRepresentation as FilteredLookupInfoRepresentation_FilteredLookupInfoRepresentation } from './FilteredLookupInfoRepresentation';
import { ReferenceToInfoRepresentation as ReferenceToInfoRepresentation_ReferenceToInfoRepresentation } from './ReferenceToInfoRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "49ae032caddd750dde2a40e6431b8463";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: FieldRepresentation, existing: FieldRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): FieldRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: FieldRepresentationNormalized, incoming: FieldRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: FieldRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Field metadata.
 *
 * Keys:
 *    (none)
 */
export interface FieldRepresentationNormalized {
    /** The API name for this field. */
    apiName: string;
    /** Indicates whether the field is a custom formula field (?). */
    calculated: boolean;
    /** Indicates whether the field is a top level compound field (or in the case of switchable_personname, might be a compound field). This is calculated based on whether other accessible fields in the object refer to this field as their compoundFieldName. This value will typically be false for LOCATION, because of the odd way locations are handled in describes. */
    compound: boolean;
    /** When this field is a component of a compound field, this is the normalized component name otherwise this will be null. For example, this will return "Street" if the field represents "BillingStreet" of an Address compound field. */
    compoundComponentName: string | null;
    /** When this field is an individual component field of a compound field, this indicates which field is the top level compound field. This will be null when the field does not represent a component field of a compound field. */
    compoundFieldName: string | null;
    /** The name of the field that controls the values of this picklist. */
    controllerName: string | null;
    /** A list of fields that the current field depends on.  */
    controllingFields: Array<string>;
    /** Indicates whether the field can be created. */
    createable: boolean;
    /** Indicates whether the field is custom. */
    custom: boolean;
    /** Field data type. */
    dataType: string;
    /** Returns if this field has an external id. */
    externalId: boolean;
    /** Additional data type information. */
    extraTypeInfo: string | null;
    /** Indicates whether the field is filterable. If true, then this field can be specified in the WHERE clause of a SOQL statement. */
    filterable: boolean;
    /** If the field is a reference field type with a lookup filter, this contains the lookup information. */
    filteredLookupInfo: FilteredLookupInfoRepresentation_FilteredLookupInfoRepresentation | null;
    /** Indicates whether the field stores numbers to 8 decimal places regardless of what's specified in the field details. */
    highScaleNumber: boolean;
    /** Indicates whether the field has been formatted for HTML and should be encoded for display in HTML. Also indicates whether a field is a custom formula field that has an IMAGE text function. */
    htmlFormatted: boolean;
    /** The text that displays in the field-level help hover text for this field. */
    inlineHelpText: string | null;
    /** Text label that is displayed next to the field in the Salesforce user interface. This label may be localized. */
    label: string;
    /** For string fields, the maximum size of the field in number of Unicode characters (not bytes). */
    length: number;
    /** Returns the mask type. */
    maskType: string | null;
    /** Indicates whether the field is a name field. */
    nameField: boolean;
    /** Indicates whether the field is a foreign key over a domain of multiple entities. */
    polymorphicForeignKey: boolean;
    /** For double fields, indicates the maximum number of digits that can be stored, on both sides of the decimal point. */
    precision: number;
    /** Indicates whether the field is a foreign key reference to another record. */
    reference: boolean;
    /** For indirect lookup relationships on external objects, the target custom field of the referenced object. */
    referenceTargetField: string | null;
    /** For fields that refer to other objects, this list includes information about the object types and name fields of the referenced objects. */
    referenceToInfos: Array<ReferenceToInfoRepresentation_ReferenceToInfoRepresentation>;
    /** The name of the relationship, if this is a master-detail relationship field. */
    relationshipName: string | null;
    /** Indicates whether the field is required on create or update. */
    required: boolean;
    /** For double fields, indicates the number of digits to the right of the decimal point. */
    scale: number;
    /** Indicates whether a foreign key can be included in prefiltering (true) or not (false) when used in a SOSL WHERE clause. Prefiltering means to filter by a specific field value before executing the full search query. */
    searchPrefilterable: boolean;
    /** Indicates whether a query can sort on this field. */
    sortable: boolean;
    /** Determines if a field is unique or not. */
    unique: boolean;
    /** Indicates whether the field can be updated. */
    updateable: boolean;
}
/**
 * Field metadata.
 *
 * Keys:
 *    (none)
 */
export interface FieldRepresentation {
    apiName: string;
    calculated: boolean;
    compound: boolean;
    compoundComponentName: string | null;
    compoundFieldName: string | null;
    controllerName: string | null;
    controllingFields: Array<string>;
    createable: boolean;
    custom: boolean;
    dataType: string;
    externalId: boolean;
    extraTypeInfo: string | null;
    filterable: boolean;
    filteredLookupInfo: FilteredLookupInfoRepresentation_FilteredLookupInfoRepresentation | null;
    highScaleNumber: boolean;
    htmlFormatted: boolean;
    inlineHelpText: string | null;
    label: string;
    length: number;
    maskType: string | null;
    nameField: boolean;
    polymorphicForeignKey: boolean;
    precision: number;
    reference: boolean;
    referenceTargetField: string | null;
    referenceToInfos: Array<ReferenceToInfoRepresentation_ReferenceToInfoRepresentation>;
    relationshipName: string | null;
    required: boolean;
    scale: number;
    searchPrefilterable: boolean;
    sortable: boolean;
    unique: boolean;
    updateable: boolean;
}
