import { FormulaOverridesInfoRepresentation as FormulaOverridesInfoRepresentation_FormulaOverridesInfoRepresentation } from './FormulaOverridesInfoRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, BaseFragment as $64$luvio_engine_BaseFragment, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const TTL = 300000;
export declare const VERSION = "c57b66c259b23683db7b763e132e8633";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: FlexipageFormulaActivationRepresentation, existing: FlexipageFormulaActivationRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): FlexipageFormulaActivationRepresentationNormalized;
export declare const select: () => $64$luvio_engine_BaseFragment;
export declare function equals(existing: FlexipageFormulaActivationRepresentationNormalized, incoming: FlexipageFormulaActivationRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: FlexipageFormulaActivationRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Connect API representation for flexipage formula activations
 *
 * Keys:
 *    (none)
 */
export interface FlexipageFormulaActivationRepresentationNormalized {
    /** Flexipage Formula Activations */
    activations: {
        [key: string]: Array<FormulaOverridesInfoRepresentation_FormulaOverridesInfoRepresentation>;
    };
    /** ETag like field, readOnly, handy while caching. */
    eTag: string;
}
/**
 * Connect API representation for flexipage formula activations
 *
 * Keys:
 *    (none)
 */
export interface FlexipageFormulaActivationRepresentation {
    activations: {
        [key: string]: Array<FormulaOverridesInfoRepresentation_FormulaOverridesInfoRepresentation>;
    };
    eTag: string;
}
