import { SearchResultCollectionRepresentation as SearchResultCollectionRepresentation_SearchResultCollectionRepresentation } from './SearchResultCollectionRepresentation';
import { KeyMetadata as $64$luvio_engine_KeyMetadata, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Luvio as $64$luvio_engine_Luvio, IngestPath as $64$luvio_engine_IngestPath, Store as $64$luvio_engine_Store, BaseFragment as $64$luvio_engine_BaseFragment, ResourceIngest as $64$luvio_engine_ResourceIngest, StoreLink as $64$luvio_engine_StoreLink, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap } from '@luvio/engine';
export declare const TTL = 200;
export declare const VERSION = "3102453bf10ea449d9665914d5f5febf";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export interface KeyParams extends $64$luvio_engine_KeyMetadata {
    query: string;
    objectApiName: string;
    configurationName: string | null;
}
export type KeywordSearchResultsSummaryRepresentationNormalizedKeyMetadata = KeyParams & $64$luvio_engine_NormalizedKeyMetadata;
export type PartialKeywordSearchResultsSummaryRepresentationNormalizedKeyMetadata = Partial<KeyParams> & $64$luvio_engine_NormalizedKeyMetadata;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: KeyParams): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: KeyParams): KeywordSearchResultsSummaryRepresentationNormalizedKeyMetadata;
export declare function keyBuilderFromType(luvio: $64$luvio_engine_Luvio, object: KeywordSearchResultsSummaryRepresentation): string;
export declare function keyBuilderFromType_StructuredKey(luvio: $64$luvio_engine_Luvio, object: KeywordSearchResultsSummaryRepresentation): $64$luvio_engine_NormalizedKeyMetadata;
export declare function normalize(input: KeywordSearchResultsSummaryRepresentation, existing: KeywordSearchResultsSummaryRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): KeywordSearchResultsSummaryRepresentationNormalized;
export declare const select: () => $64$luvio_engine_BaseFragment;
export declare function equals(existing: KeywordSearchResultsSummaryRepresentationNormalized, incoming: KeywordSearchResultsSummaryRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: KeywordSearchResultsSummaryRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Root of the keyword search response
 *
 * Keys:
 *    query (string): query
 *    objectApiName (string): objectApiName
 *    configurationName (string | null): configurationName
 */
export interface KeywordSearchResultsSummaryRepresentationNormalized {
    /** Configuration Name to be applied */
    configurationName: string | null;
    keywordSearchResult: $64$luvio_engine_StoreLink;
    /** Object API name. */
    objectApiName: string;
    /** Search query that yielded the search results */
    query: string;
    /** Search’s request ID */
    queryId: string;
}
/**
 * Root of the keyword search response
 *
 * Keys:
 *    query (string): query
 *    objectApiName (string): objectApiName
 *    configurationName (string | null): configurationName
 */
export interface KeywordSearchResultsSummaryRepresentation {
    configurationName: string | null;
    keywordSearchResult: SearchResultCollectionRepresentation_SearchResultCollectionRepresentation;
    objectApiName: string;
    query: string;
    queryId: string;
}
