import { ListObjectScopeRepresentation as ListObjectScopeRepresentation_ListObjectScopeRepresentation } from './ListObjectScopeRepresentation';
import { ListObjectColumnRepresentation as ListObjectColumnRepresentation_ListObjectColumnRepresentation } from './ListObjectColumnRepresentation';
import { KeyMetadata as $64$luvio_engine_KeyMetadata, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Luvio as $64$luvio_engine_Luvio, IngestPath as $64$luvio_engine_IngestPath, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap } from '@luvio/engine';
export declare const TTL = 900000;
export declare const VERSION = "2405a0b25c2c00f82e88b600edc16387";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export interface KeyParams extends $64$luvio_engine_KeyMetadata {
    objectApiName: string;
}
export type ListObjectInfoRepresentationNormalizedKeyMetadata = KeyParams & $64$luvio_engine_NormalizedKeyMetadata;
export type PartialListObjectInfoRepresentationNormalizedKeyMetadata = Partial<KeyParams> & $64$luvio_engine_NormalizedKeyMetadata;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: KeyParams): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: KeyParams): ListObjectInfoRepresentationNormalizedKeyMetadata;
export declare function keyBuilderFromType(luvio: $64$luvio_engine_Luvio, object: ListObjectInfoRepresentation): string;
export declare function keyBuilderFromType_StructuredKey(luvio: $64$luvio_engine_Luvio, object: ListObjectInfoRepresentation): $64$luvio_engine_NormalizedKeyMetadata;
export declare function normalize(input: ListObjectInfoRepresentation, existing: ListObjectInfoRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ListObjectInfoRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ListObjectInfoRepresentationNormalized, incoming: ListObjectInfoRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ListObjectInfoRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * ListObjectInfoRepresentation
 *
 * Keys:
 *    objectApiName (string): objectApiName
 */
export interface ListObjectInfoRepresentationNormalized {
    /** Information about all available scopes for the given entity. */
    availableScopes: Array<ListObjectScopeRepresentation_ListObjectScopeRepresentation>;
    /** Information about all available columns for the given entity. */
    columns: Array<ListObjectColumnRepresentation_ListObjectColumnRepresentation>;
    /** Indicates whether a new listview for this listview's SObject can be created. */
    createable: boolean;
    /** The requested object API name. */
    objectApiName: string;
    /** Indicates whether the current user can create a new public or shared listview for this listview's SObject. */
    publicOrSharedCreateable: boolean;
    /** Null, or the type of related entity to which this LV can be scoped. */
    relatedEntityApiName: string | null;
}
/**
 * ListObjectInfoRepresentation
 *
 * Keys:
 *    objectApiName (string): objectApiName
 */
export interface ListObjectInfoRepresentation {
    availableScopes: Array<ListObjectScopeRepresentation_ListObjectScopeRepresentation>;
    columns: Array<ListObjectColumnRepresentation_ListObjectColumnRepresentation>;
    createable: boolean;
    objectApiName: string;
    publicOrSharedCreateable: boolean;
    relatedEntityApiName: string | null;
}
