import { ListOrderedByInfoInputRepresentation as ListOrderedByInfoInputRepresentation_ListOrderedByInfoInputRepresentation } from './ListOrderedByInfoInputRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "5cbdcf5ed83638a3fccdd8201d2e71a3";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: ListPreferencesInputRepresentation, existing: ListPreferencesInputRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ListPreferencesInputRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ListPreferencesInputRepresentationNormalized, incoming: ListPreferencesInputRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ListPreferencesInputRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Representation of a List Preferences input.
 *
 * Keys:
 *    (none)
 */
export interface ListPreferencesInputRepresentationNormalized {
    /** Input representation for column widths. */
    columnWidths?: {
        [key: string]: number;
    };
    /** Input representation for column wrap. */
    columnWrap?: {
        [key: string]: boolean;
    };
    /** Input representation for ordered by. */
    orderedBy?: Array<ListOrderedByInfoInputRepresentation_ListOrderedByInfoInputRepresentation>;
}
/**
 * Representation of a List Preferences input.
 *
 * Keys:
 *    (none)
 */
export interface ListPreferencesInputRepresentation {
    columnWidths?: {
        [key: string]: number;
    };
    columnWrap?: {
        [key: string]: boolean;
    };
    orderedBy?: Array<ListOrderedByInfoInputRepresentation_ListOrderedByInfoInputRepresentation>;
}
