import { LookupMetadataTargetInfoRepresentation as LookupMetadataTargetInfoRepresentation_LookupMetadataTargetInfoRepresentation } from './LookupMetadataTargetInfoRepresentation';
import { KeyMetadata as $64$luvio_engine_KeyMetadata, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Luvio as $64$luvio_engine_Luvio, IngestPath as $64$luvio_engine_IngestPath, Store as $64$luvio_engine_Store, BaseFragment as $64$luvio_engine_BaseFragment, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap } from '@luvio/engine';
export declare const TTL = 30000;
export declare const VERSION = "ab99b79a5e8a78e051ec92b39d76a6bd";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export interface KeyParams extends $64$luvio_engine_KeyMetadata {
    objectApiName: string;
    fieldApiName: string;
}
export type LookupMetadataRepresentationNormalizedKeyMetadata = KeyParams & $64$luvio_engine_NormalizedKeyMetadata;
export type PartialLookupMetadataRepresentationNormalizedKeyMetadata = Partial<KeyParams> & $64$luvio_engine_NormalizedKeyMetadata;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: KeyParams): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: KeyParams): LookupMetadataRepresentationNormalizedKeyMetadata;
export declare function keyBuilderFromType(luvio: $64$luvio_engine_Luvio, object: LookupMetadataRepresentation): string;
export declare function keyBuilderFromType_StructuredKey(luvio: $64$luvio_engine_Luvio, object: LookupMetadataRepresentation): $64$luvio_engine_NormalizedKeyMetadata;
export declare function normalize(input: LookupMetadataRepresentation, existing: LookupMetadataRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): LookupMetadataRepresentationNormalized;
export declare const select: () => $64$luvio_engine_BaseFragment;
export declare function equals(existing: LookupMetadataRepresentationNormalized, incoming: LookupMetadataRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: LookupMetadataRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Search Lookups Metadata
 *
 * Keys:
 *    objectApiName (string): objectApiName
 *    fieldApiName (string): fieldApiName
 */
export interface LookupMetadataRepresentationNormalized {
    /** API name of the lookup field. */
    fieldApiName: string;
    /** API name of the lookup field source object. */
    objectApiName: string;
    /** API name of the field used as a secondary display field. */
    secondaryField: string | null;
    /** Per target entity metadata */
    targetInfo: {
        [key: string]: LookupMetadataTargetInfoRepresentation_LookupMetadataTargetInfoRepresentation;
    };
}
/**
 * Search Lookups Metadata
 *
 * Keys:
 *    objectApiName (string): objectApiName
 *    fieldApiName (string): fieldApiName
 */
export interface LookupMetadataRepresentation {
    fieldApiName: string;
    objectApiName: string;
    secondaryField: string | null;
    targetInfo: {
        [key: string]: LookupMetadataTargetInfoRepresentation_LookupMetadataTargetInfoRepresentation;
    };
}
