import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, ResourceIngest as $64$luvio_engine_ResourceIngest, FragmentSelection as $64$luvio_engine_FragmentSelection, PathSelection as $64$luvio_engine_PathSelection, StoreLink as $64$luvio_engine_StoreLink, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
import { RecordCollectionRepresentation as RecordCollectionRepresentation_RecordCollectionRepresentation } from './RecordCollectionRepresentation';
export declare const VERSION = "022d5de1337ec512acb4af43b75ea5e6";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: LookupValuesRepresentation, existing: LookupValuesRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): LookupValuesRepresentationNormalized;
export interface DynamicIngestParams {
    lookupResults: $64$luvio_engine_ResourceIngest;
}
export declare function dynamicNormalize(ingestParams: DynamicIngestParams): (input: LookupValuesRepresentation, existing: LookupValuesRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number) => LookupValuesRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export interface DynamicSelectParams {
    lookupResults?: $64$luvio_engine_PathSelection;
}
export declare const dynamicSelect: (params: DynamicSelectParams) => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: LookupValuesRepresentationNormalized, incoming: LookupValuesRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: LookupValuesRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
export declare function dynamicIngest(ingestParams: DynamicIngestParams): $64$luvio_engine_ResourceIngest;
/**
 * Search results for a given lookup field, organized by type.
 *
 * Keys:
 *    (none)
 */
export interface LookupValuesRepresentationNormalized {
    /** Search results for a given lookup field, organized by type. */
    lookupResults: {
        [key: string]: $64$luvio_engine_StoreLink;
    };
    /** Search metadata for a given lookup field, organized by type. */
    metadata: {
        /** Search Lookups Metadata */
        [key: string]: {
            /** API name of the field used as a secondary display field. */
            secondaryField: string | null;
        };
    };
}
/**
 * Search results for a given lookup field, organized by type.
 *
 * Keys:
 *    (none)
 */
export interface LookupValuesRepresentation {
    lookupResults: {
        [key: string]: RecordCollectionRepresentation_RecordCollectionRepresentation;
    };
    metadata: {
        [key: string]: {
            secondaryField: string | null;
        };
    };
}
