import { DuplicateResultInfoRepresentation as DuplicateResultInfoRepresentation_DuplicateResultInfoRepresentation } from './DuplicateResultInfoRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "3486e8f10e3f9c490091d2281c8c267a";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: MatchRepresentation, existing: MatchRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): MatchRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: MatchRepresentationNormalized, incoming: MatchRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: MatchRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Representation of group of possible matches
 *
 * Keys:
 *    (none)
 */
export interface MatchRepresentationNormalized {
    /** Map of duplicate rule name to DuplicateResultInfo. */
    duplicateResultInfos: {
        [key: string]: DuplicateResultInfoRepresentation_DuplicateResultInfoRepresentation;
    };
    /** The object's API name. */
    objectApiName: string;
    /** List of RecordId's with matching rule. */
    recordIds: Array<string>;
}
/**
 * Representation of group of possible matches
 *
 * Keys:
 *    (none)
 */
export interface MatchRepresentation {
    duplicateResultInfos: {
        [key: string]: DuplicateResultInfoRepresentation_DuplicateResultInfoRepresentation;
    };
    objectApiName: string;
    recordIds: Array<string>;
}
