import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, ResourceIngest as $64$luvio_engine_ResourceIngest, FragmentSelection as $64$luvio_engine_FragmentSelection, LinkSelection as $64$luvio_engine_LinkSelection, StoreLink as $64$luvio_engine_StoreLink, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
import { NavItemRepresentation as NavItemRepresentation_NavItemRepresentation } from './NavItemRepresentation';
export declare const TTL = 120000;
export declare const VERSION = "756779d0d7e137dd72c743544afbad82";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: NavItemsRepresentation, existing: NavItemsRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): NavItemsRepresentationNormalized;
export interface DynamicIngestParams {
    navItems: $64$luvio_engine_ResourceIngest;
}
export declare function dynamicNormalize(ingestParams: DynamicIngestParams): (input: NavItemsRepresentation, existing: NavItemsRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number) => NavItemsRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export interface DynamicSelectParams {
    navItems?: $64$luvio_engine_LinkSelection;
}
export declare const dynamicSelect: (params: DynamicSelectParams) => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: NavItemsRepresentationNormalized, incoming: NavItemsRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: NavItemsRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
export declare function dynamicIngest(ingestParams: DynamicIngestParams): $64$luvio_engine_ResourceIngest;
/**
 * An ordered lists of nav items.
 *
 * Keys:
 *    (none)
 */
export interface NavItemsRepresentationNormalized {
    /** URL to the current page of nav items. */
    currentPageUrl: string;
    /** ETag like field, readOnly, handy while caching. */
    eTag: string;
    /** An ordered list of nav items. */
    navItems: Array<$64$luvio_engine_StoreLink>;
    /** URL to the next page of of nav items. */
    nextPageUrl: string | null;
}
/**
 * An ordered lists of nav items.
 *
 * Keys:
 *    (none)
 */
export interface NavItemsRepresentation {
    currentPageUrl: string;
    eTag: string;
    navItems: Array<NavItemRepresentation_NavItemRepresentation>;
    nextPageUrl: string | null;
}
