import { ChildRelationshipRepresentation as ChildRelationshipRepresentation_ChildRelationshipRepresentation } from './ChildRelationshipRepresentation';
import { FieldRepresentation as FieldRepresentation_FieldRepresentation } from './FieldRepresentation';
import { RecordTypeInfoRepresentation as RecordTypeInfoRepresentation_RecordTypeInfoRepresentation } from './RecordTypeInfoRepresentation';
import { ThemeInfoRepresentation as ThemeInfoRepresentation_ThemeInfoRepresentation } from './ThemeInfoRepresentation';
import { KeyMetadata as $64$luvio_engine_KeyMetadata, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Luvio as $64$luvio_engine_Luvio, IngestPath as $64$luvio_engine_IngestPath, Store as $64$luvio_engine_Store, BaseFragment as $64$luvio_engine_BaseFragment, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap } from '@luvio/engine';
export declare const TTL = 900000;
export declare const VERSION = "2302a71ca718abb60353eb88dedb1c12";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export interface KeyParams extends $64$luvio_engine_KeyMetadata {
    apiName: string;
}
export type ObjectInfoRepresentationNormalizedKeyMetadata = KeyParams & $64$luvio_engine_NormalizedKeyMetadata;
export type PartialObjectInfoRepresentationNormalizedKeyMetadata = Partial<KeyParams> & $64$luvio_engine_NormalizedKeyMetadata;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: KeyParams): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: KeyParams): ObjectInfoRepresentationNormalizedKeyMetadata;
export declare function keyBuilderFromType(luvio: $64$luvio_engine_Luvio, object: ObjectInfoRepresentation): string;
export declare function keyBuilderFromType_StructuredKey(luvio: $64$luvio_engine_Luvio, object: ObjectInfoRepresentation): $64$luvio_engine_NormalizedKeyMetadata;
export declare function normalize(input: ObjectInfoRepresentation, existing: ObjectInfoRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ObjectInfoRepresentationNormalized;
export declare const select: () => $64$luvio_engine_BaseFragment;
export declare function equals(existing: ObjectInfoRepresentationNormalized, incoming: ObjectInfoRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ObjectInfoRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Object metadata.
 *
 * Keys:
 *    apiName (string): apiName
 */
export interface ObjectInfoRepresentationNormalized {
    /** The object API name. */
    apiName: string;
    /** If an associated entity type, the type of that association, otherwise null. */
    associateEntityType: string | null;
    /** If an associated entity type, the entity to which it is associated, otherwise null. */
    associateParentEntity: string | null;
    /** Child relationships for the object. */
    childRelationships: Array<ChildRelationshipRepresentation_ChildRelationshipRepresentation>;
    /** Indicates whether the object can have compact layouts. */
    compactLayoutable: boolean;
    /** Indicates whether the object can be created. */
    createable: boolean;
    /** Indicates whether the object is custom. */
    custom: boolean;
    /** The ID for the default record type for this object, if any. Null if there is none, or only a primary type. */
    defaultRecordTypeId: string | null;
    /** Indicates whether the object can be deleted. */
    deletable: boolean;
    /** This is a nested map of field and its dependents. Fields that neither have any controllers nor dependents are not a part of this map */
    dependentFields: {
        [key: string]: {};
    };
    /** ETag like field, readOnly, handy while caching. */
    eTag: string;
    /** Indicates whether the object may have feeds. */
    feedEnabled: boolean;
    /** A map of field API name to information about the field. This map only contains fields relevant to the requested layout and mode. */
    fields: {
        [key: string]: FieldRepresentation_FieldRepresentation;
    };
    /** The key prefix for IDs of this object. */
    keyPrefix: string | null;
    /** The object display label. */
    label: string;
    /** The plural form of the object display label. */
    labelPlural: string;
    /** Indicates whether the object can have a layout. */
    layoutable: boolean;
    /** Indicates whether the object may appear in Most Recently Used lists. */
    mruEnabled: boolean;
    /** List of the API names of the fields used to identify the name field for standard and custom objects. Typically there is one name field per object, except where FirstName and LastName fields are used. */
    nameFields: Array<string>;
    /** Indicates whether the object can be queried by the context user. */
    queryable: boolean;
    /** A map of record type IDs to information about the record type. The user need not have access to all the returned record types to see them here. */
    recordTypeInfos: {
        [key: string]: RecordTypeInfoRepresentation_RecordTypeInfoRepresentation;
    };
    /** Indicates whether the object can have search layouts. */
    searchLayoutable: boolean;
    /** Indicates whether the object can be searched. */
    searchable: boolean;
    /** Theme information for the object. */
    themeInfo: ThemeInfoRepresentation_ThemeInfoRepresentation | null;
    /** Indicates whether the object can be updated. */
    updateable: boolean;
}
/**
 * Object metadata.
 *
 * Keys:
 *    apiName (string): apiName
 */
export interface ObjectInfoRepresentation {
    apiName: string;
    associateEntityType: string | null;
    associateParentEntity: string | null;
    childRelationships: Array<ChildRelationshipRepresentation_ChildRelationshipRepresentation>;
    compactLayoutable: boolean;
    createable: boolean;
    custom: boolean;
    defaultRecordTypeId: string | null;
    deletable: boolean;
    dependentFields: {
        [key: string]: {};
    };
    eTag: string;
    feedEnabled: boolean;
    fields: {
        [key: string]: FieldRepresentation_FieldRepresentation;
    };
    keyPrefix: string | null;
    label: string;
    labelPlural: string;
    layoutable: boolean;
    mruEnabled: boolean;
    nameFields: Array<string>;
    queryable: boolean;
    recordTypeInfos: {
        [key: string]: RecordTypeInfoRepresentation_RecordTypeInfoRepresentation;
    };
    searchLayoutable: boolean;
    searchable: boolean;
    themeInfo: ThemeInfoRepresentation_ThemeInfoRepresentation | null;
    updateable: boolean;
}
