import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "d37896e71ed42a780936d197e23d7cf2";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: OperationResponseRepresentation, existing: OperationResponseRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): OperationResponseRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: OperationResponseRepresentationNormalized, incoming: OperationResponseRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: OperationResponseRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * The output of an operation execution within aggregate.
 *
 * Keys:
 *    (none)
 */
export interface OperationResponseRepresentationNormalized {
    /** The body of the operation */
    body: {};
    /** The HTTP headers of the operation */
    httpHeaders: {
        [key: string]: string;
    };
    /** The HTTP status code of the operation */
    httpStatusCode: number;
    /** The ID that was given for the operation */
    referenceId: string;
    /** The url for the operation */
    url: string;
}
/**
 * The output of an operation execution within aggregate.
 *
 * Keys:
 *    (none)
 */
export interface OperationResponseRepresentation {
    body: {};
    httpHeaders: {
        [key: string]: string;
    };
    httpStatusCode: number;
    referenceId: string;
    url: string;
}
