import { KeyMetadata as $64$luvio_engine_KeyMetadata, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Luvio as $64$luvio_engine_Luvio, IngestPath as $64$luvio_engine_IngestPath, Store as $64$luvio_engine_Store, ResourceIngest as $64$luvio_engine_ResourceIngest, FragmentSelection as $64$luvio_engine_FragmentSelection, PathSelection as $64$luvio_engine_PathSelection, StoreLink as $64$luvio_engine_StoreLink, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap } from '@luvio/engine';
import { FieldValueRepresentation as FieldValueRepresentation_FieldValueRepresentation } from './FieldValueRepresentation';
export declare const TTL = 900000;
export declare const VERSION = "993b0a7bce6056c4f57ed300ec153d9c";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export interface KeyParams extends $64$luvio_engine_KeyMetadata {
    actionApiName: string;
}
export type QuickActionDefaultsRepresentationNormalizedKeyMetadata = KeyParams & $64$luvio_engine_NormalizedKeyMetadata;
export type PartialQuickActionDefaultsRepresentationNormalizedKeyMetadata = Partial<KeyParams> & $64$luvio_engine_NormalizedKeyMetadata;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: KeyParams): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: KeyParams): QuickActionDefaultsRepresentationNormalizedKeyMetadata;
export declare function keyBuilderFromType(luvio: $64$luvio_engine_Luvio, object: QuickActionDefaultsRepresentation): string;
export declare function keyBuilderFromType_StructuredKey(luvio: $64$luvio_engine_Luvio, object: QuickActionDefaultsRepresentation): $64$luvio_engine_NormalizedKeyMetadata;
export declare function normalize(input: QuickActionDefaultsRepresentation, existing: QuickActionDefaultsRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): QuickActionDefaultsRepresentationNormalized;
export interface DynamicIngestParams {
    fields: $64$luvio_engine_ResourceIngest;
}
export declare function dynamicNormalize(ingestParams: DynamicIngestParams): (input: QuickActionDefaultsRepresentation, existing: QuickActionDefaultsRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number) => QuickActionDefaultsRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export interface DynamicSelectParams {
    fields?: $64$luvio_engine_PathSelection;
}
export declare const dynamicSelect: (params: DynamicSelectParams) => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: QuickActionDefaultsRepresentationNormalized, incoming: QuickActionDefaultsRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: QuickActionDefaultsRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
export declare function dynamicIngest(ingestParams: DynamicIngestParams): $64$luvio_engine_ResourceIngest;
/**
 * Quick action default values for a specific action api name
 *
 * Keys:
 *    actionApiName (string): actionApiName
 */
export interface QuickActionDefaultsRepresentationNormalized {
    /** quick action name */
    actionApiName: string;
    /** ETag like field, readOnly, handy while caching. */
    eTag: string;
    /** fields in the layout */
    fields: {
        [key: string]: $64$luvio_engine_StoreLink;
    };
    /** object name */
    objectApiName: string;
}
/**
 * Quick action default values for a specific action api name
 *
 * Keys:
 *    actionApiName (string): actionApiName
 */
export interface QuickActionDefaultsRepresentation {
    actionApiName: string;
    eTag: string;
    fields: {
        [key: string]: FieldValueRepresentation_FieldValueRepresentation;
    };
    objectApiName: string;
}
export declare const notifyUpdateAvailableFactory: (luvio: $64$luvio_engine_Luvio) => (configs: Partial<KeyParams>[]) => Promise<void>;
