import { QuickActionColorRepresentation as QuickActionColorRepresentation_QuickActionColorRepresentation } from './QuickActionColorRepresentation';
import { CopilotQuickActionInputRepresentation as CopilotQuickActionInputRepresentation_CopilotQuickActionInputRepresentation } from './CopilotQuickActionInputRepresentation';
import { QuickActionIconRepresentation as QuickActionIconRepresentation_QuickActionIconRepresentation } from './QuickActionIconRepresentation';
import { KeyMetadata as $64$luvio_engine_KeyMetadata, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Luvio as $64$luvio_engine_Luvio, IngestPath as $64$luvio_engine_IngestPath, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap } from '@luvio/engine';
export declare const TTL = 900000;
export declare const VERSION = "fa106dcb7d887c1e9b3e958336280ac8";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export interface KeyParams extends $64$luvio_engine_KeyMetadata {
    actionApiName: string;
}
export type QuickActionInfoRepresentationNormalizedKeyMetadata = KeyParams & $64$luvio_engine_NormalizedKeyMetadata;
export type PartialQuickActionInfoRepresentationNormalizedKeyMetadata = Partial<KeyParams> & $64$luvio_engine_NormalizedKeyMetadata;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: KeyParams): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: KeyParams): QuickActionInfoRepresentationNormalizedKeyMetadata;
export declare function keyBuilderFromType(luvio: $64$luvio_engine_Luvio, object: QuickActionInfoRepresentation): string;
export declare function keyBuilderFromType_StructuredKey(luvio: $64$luvio_engine_Luvio, object: QuickActionInfoRepresentation): $64$luvio_engine_NormalizedKeyMetadata;
export declare function normalize(input: QuickActionInfoRepresentation, existing: QuickActionInfoRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): QuickActionInfoRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: QuickActionInfoRepresentationNormalized, incoming: QuickActionInfoRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: QuickActionInfoRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Quick action Info representation for a specific action api name
 *
 * Keys:
 *    actionApiName (string): actionApiName
 */
export interface QuickActionInfoRepresentationNormalized {
    /** quick action access level */
    accessLevelRequired: string | null;
    /** quick action name */
    actionApiName: string;
    /** quick action color metadata */
    colors: Array<QuickActionColorRepresentation_QuickActionColorRepresentation>;
    /** copilot quick action description */
    copilotActionDescription: string | null;
    /** copilot quick action user input list */
    copilotInputs: Array<CopilotQuickActionInputRepresentation_CopilotQuickActionInputRepresentation>;
    /** copilot quick action intention */
    copilotIntent: string | null;
    /** quick action copilot plan template Id  */
    copilotPlanTemplateId: string | null;
    /** copilot quick action user utterance */
    copilotUserUtterance: string | null;
    /** ETag like field, readOnly, handy while caching. */
    eTag: string;
    /** quick action flow dev name */
    flowDevName: string | null;
    /** quick action flow record Id Var */
    flowRecordIdVar: string | null;
    /** quick action icon name */
    iconName: string | null;
    /** quick action icon metadata */
    icons: Array<QuickActionIconRepresentation_QuickActionIconRepresentation>;
    /** quick action label */
    label: string;
    /** quick action lightning component bundle Name */
    lightningComponentBundleName: string | null;
    /** quick action lightning component qualified name */
    lightningComponentQualifiedName: string | null;
    /** quick action lightning web component bundle name */
    lightningWebComponentBundleName: string | null;
    /** quick action lightning web component qualified name */
    lightningWebComponentQualifiedName: string | null;
    /** quick action target parent field */
    targetParentField: string | null;
    /** quick action target record type ID */
    targetRecordTypeId: string | null;
    /** quick action target sObject type */
    targetSobjectType: string | null;
    /** quick action type */
    type: string;
}
/**
 * Quick action Info representation for a specific action api name
 *
 * Keys:
 *    actionApiName (string): actionApiName
 */
export interface QuickActionInfoRepresentation {
    accessLevelRequired: string | null;
    actionApiName: string;
    colors: Array<QuickActionColorRepresentation_QuickActionColorRepresentation>;
    copilotActionDescription: string | null;
    copilotInputs: Array<CopilotQuickActionInputRepresentation_CopilotQuickActionInputRepresentation>;
    copilotIntent: string | null;
    copilotPlanTemplateId: string | null;
    copilotUserUtterance: string | null;
    eTag: string;
    flowDevName: string | null;
    flowRecordIdVar: string | null;
    iconName: string | null;
    icons: Array<QuickActionIconRepresentation_QuickActionIconRepresentation>;
    label: string;
    lightningComponentBundleName: string | null;
    lightningComponentQualifiedName: string | null;
    lightningWebComponentBundleName: string | null;
    lightningWebComponentQualifiedName: string | null;
    targetParentField: string | null;
    targetRecordTypeId: string | null;
    targetSobjectType: string | null;
    type: string;
}
