import { RecordTypeInfoRepresentation as RecordTypeInfoRepresentation_RecordTypeInfoRepresentation } from './RecordTypeInfoRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, ResourceIngest as $64$luvio_engine_ResourceIngest, FragmentSelection as $64$luvio_engine_FragmentSelection, PathSelection as $64$luvio_engine_PathSelection, StoreLink as $64$luvio_engine_StoreLink, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
import { RecordCollectionRepresentation as RecordCollectionRepresentation_RecordCollectionRepresentation } from './RecordCollectionRepresentation';
import { FieldValueRepresentation as FieldValueRepresentation_FieldValueRepresentation } from './FieldValueRepresentation';
export declare const VERSION = "809ada3563b00c364360826037620d7e";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: RecordCreateDefaultRecordRepresentation, existing: RecordCreateDefaultRecordRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): RecordCreateDefaultRecordRepresentationNormalized;
export interface DynamicIngestParams {
    childRelationships: $64$luvio_engine_ResourceIngest;
    fields: $64$luvio_engine_ResourceIngest;
}
export declare function dynamicNormalize(ingestParams: DynamicIngestParams): (input: RecordCreateDefaultRecordRepresentation, existing: RecordCreateDefaultRecordRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number) => RecordCreateDefaultRecordRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export interface DynamicSelectParams {
    childRelationships?: $64$luvio_engine_PathSelection;
    fields?: $64$luvio_engine_PathSelection;
}
export declare const dynamicSelect: (params: DynamicSelectParams) => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: RecordCreateDefaultRecordRepresentationNormalized, incoming: RecordCreateDefaultRecordRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: RecordCreateDefaultRecordRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
export declare function dynamicIngest(ingestParams: DynamicIngestParams): $64$luvio_engine_ResourceIngest;
/**
 *
 *
 * Keys:
 *    (none)
 */
export interface RecordCreateDefaultRecordRepresentationNormalized {
    /** The record's object API name. */
    apiName: string;
    /** The child relationship data for this record */
    childRelationships: {
        [key: string]: $64$luvio_engine_StoreLink;
    };
    /** eTag */
    eTag: string;
    /** The field data for this record, matching the requested layout and mode. */
    fields: {
        [key: string]: $64$luvio_engine_StoreLink;
    };
    /** The ID of this record. */
    id: null;
    /** The lastModifiedById of the record. */
    lastModifiedById: string | null;
    /** The lastModifiedDate of the record. */
    lastModifiedDate: string | null;
    /** The ID of this record type. */
    recordTypeId: string | null;
    /** The record type info for this record, if any. */
    recordTypeInfo: RecordTypeInfoRepresentation_RecordTypeInfoRepresentation | null;
    /** The systemModstamp of the record. */
    systemModstamp: string | null;
    /** Record Version like field, readOnly, handy while caching and comparing versions of records. */
    weakEtag: number;
}
/**
 *
 *
 * Keys:
 *    (none)
 */
export interface RecordCreateDefaultRecordRepresentation {
    apiName: string;
    childRelationships: {
        [key: string]: RecordCollectionRepresentation_RecordCollectionRepresentation;
    };
    eTag: string;
    fields: {
        [key: string]: FieldValueRepresentation_FieldValueRepresentation;
    };
    id: null;
    lastModifiedById: string | null;
    lastModifiedDate: string | null;
    recordTypeId: string | null;
    recordTypeInfo: RecordTypeInfoRepresentation_RecordTypeInfoRepresentation | null;
    systemModstamp: string | null;
    weakEtag: number;
}
