import { DuplicateRecordErrorRepresentation as DuplicateRecordErrorRepresentation_DuplicateRecordErrorRepresentation } from './DuplicateRecordErrorRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "411c4ac2f79096fc03a290f158272308";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: RecordExceptionErrorRepresentation, existing: RecordExceptionErrorRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): RecordExceptionErrorRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: RecordExceptionErrorRepresentationNormalized, incoming: RecordExceptionErrorRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: RecordExceptionErrorRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Record exception error.
 *
 * Keys:
 *    (none)
 */
export interface RecordExceptionErrorRepresentationNormalized {
    /** Constituent field API name. May be null if no field applies. Usually matches field name but for compound fields will be the constituent field name. */
    constituentField: string;
    /** Information about possible duplicate records. May be populated when the status code is DUPLICATES_DETECTED. */
    duplicateRecordError: DuplicateRecordErrorRepresentation_DuplicateRecordErrorRepresentation;
    /** Error status code. */
    errorCode: string;
    /** Field API name. May be null if no field applies. */
    field: string;
    /** Field label. May be null if no field applies. */
    fieldLabel: string;
    /** Error message. */
    message: string;
}
/**
 * Record exception error.
 *
 * Keys:
 *    (none)
 */
export interface RecordExceptionErrorRepresentation {
    constituentField: string;
    duplicateRecordError: DuplicateRecordErrorRepresentation_DuplicateRecordErrorRepresentation;
    errorCode: string;
    field: string;
    fieldLabel: string;
    message: string;
}
