import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "407608b4e55f1dea2ccc5360add230ef";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: RecordInputRepresentation, existing: RecordInputRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): RecordInputRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: RecordInputRepresentationNormalized, incoming: RecordInputRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: RecordInputRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Description of a record input.
 *
 * Keys:
 *    (none)
 */
export interface RecordInputRepresentationNormalized {
    /** Set allowSaveOnDuplicate param */
    allowSaveOnDuplicate?: boolean;
    /** Object API name. */
    apiName?: string;
    /** Field values. When this representation is deserialized from JSON, the values will be typed as JsonNode, delaying full deserialization until the resource executes, which knows the expected data types. In the case of invocation through CiJ directly, the field values should be typed as the expected data types. */
    fields: {
        [key: string]: string | number | null | boolean;
    };
}
/**
 * Description of a record input.
 *
 * Keys:
 *    (none)
 */
export interface RecordInputRepresentation {
    allowSaveOnDuplicate?: boolean;
    apiName?: string;
    fields: {
        [key: string]: string | number | null | boolean;
    };
}
