import { RecordLayoutSectionUserStateRepresentation as RecordLayoutSectionUserStateRepresentation_RecordLayoutSectionUserStateRepresentation } from './RecordLayoutSectionUserStateRepresentation';
import { KeyMetadata as $64$luvio_engine_KeyMetadata, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Luvio as $64$luvio_engine_Luvio, IngestPath as $64$luvio_engine_IngestPath, Store as $64$luvio_engine_Store, BaseFragment as $64$luvio_engine_BaseFragment, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap } from '@luvio/engine';
export declare const TTL = 900000;
export declare const VERSION = "4ba42e1fa0fb00cf78fce86082da41c9";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export interface KeyParams extends $64$luvio_engine_KeyMetadata {
    recordTypeId: string;
    apiName: string;
    layoutType: string;
    mode: string;
}
export type RecordLayoutUserStateRepresentationNormalizedKeyMetadata = KeyParams & $64$luvio_engine_NormalizedKeyMetadata;
export type PartialRecordLayoutUserStateRepresentationNormalizedKeyMetadata = Partial<KeyParams> & $64$luvio_engine_NormalizedKeyMetadata;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: KeyParams): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: KeyParams): RecordLayoutUserStateRepresentationNormalizedKeyMetadata;
export declare function keyBuilderFromType(luvio: $64$luvio_engine_Luvio, object: RecordLayoutUserStateRepresentation): string;
export declare function keyBuilderFromType_StructuredKey(luvio: $64$luvio_engine_Luvio, object: RecordLayoutUserStateRepresentation): $64$luvio_engine_NormalizedKeyMetadata;
export declare function normalize(input: RecordLayoutUserStateRepresentation, existing: RecordLayoutUserStateRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): RecordLayoutUserStateRepresentationNormalized;
export declare const select: () => $64$luvio_engine_BaseFragment;
export declare function equals(existing: RecordLayoutUserStateRepresentationNormalized, incoming: RecordLayoutUserStateRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: RecordLayoutUserStateRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Record layout user state.
 *
 * Keys:
 *    recordTypeId (string): recordTypeId
 *    apiName (string): apiName
 *    layoutType (string): layoutType
 *    mode (string): mode
 */
export interface RecordLayoutUserStateRepresentationNormalized {
    apiName: string;
    /** Layout ID. */
    id: string;
    /** Layout type. */
    layoutType: string;
    /** Mode. */
    mode: string;
    recordTypeId: string;
    /** Section user states, keyed on section ID. */
    sectionUserStates: {
        [key: string]: RecordLayoutSectionUserStateRepresentation_RecordLayoutSectionUserStateRepresentation;
    };
}
/**
 * Record layout user state.
 *
 * Keys:
 *    recordTypeId (string): recordTypeId
 *    apiName (string): apiName
 *    layoutType (string): layoutType
 *    mode (string): mode
 */
export interface RecordLayoutUserStateRepresentation {
    apiName: string;
    id: string;
    layoutType: string;
    mode: string;
    recordTypeId: string;
    sectionUserStates: {
        [key: string]: RecordLayoutSectionUserStateRepresentation_RecordLayoutSectionUserStateRepresentation;
    };
}
