import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "d1e589a127fb1060c89070cdb6f500b2";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: RecordTypeInfoRepresentation, existing: RecordTypeInfoRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): RecordTypeInfoRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: RecordTypeInfoRepresentationNormalized, incoming: RecordTypeInfoRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: RecordTypeInfoRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Record type.
 *
 * Keys:
 *    (none)
 */
export interface RecordTypeInfoRepresentationNormalized {
    /** Indicates whether this record type is available to the context user when creating a new record. */
    available: boolean;
    /** Indicates whether this is the default record type mapping for the associated object. */
    defaultRecordTypeMapping: boolean;
    /** Whether this is the primary record type. The primary record type is the default record type that’s used when a record has no custom record type associated with it. */
    master: boolean;
    /** The record's object API name. */
    name: string;
    /** The ID of this record type. */
    recordTypeId: string;
}
/**
 * Record type.
 *
 * Keys:
 *    (none)
 */
export interface RecordTypeInfoRepresentation {
    available: boolean;
    defaultRecordTypeMapping: boolean;
    master: boolean;
    name: string;
    recordTypeId: string;
}
