import { ListOrderByInfoRepresentation as ListOrderByInfoRepresentation_ListOrderByInfoRepresentation } from './ListOrderByInfoRepresentation';
import { KeyMetadata as $64$luvio_engine_KeyMetadata, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Luvio as $64$luvio_engine_Luvio, IngestPath as $64$luvio_engine_IngestPath, Store as $64$luvio_engine_Store, BaseFragment as $64$luvio_engine_BaseFragment, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap } from '@luvio/engine';
export declare const TTL = 900000;
export declare const VERSION = "094cdf8e3e1f07fca02c4e51e14c528e";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export interface KeyParams extends $64$luvio_engine_KeyMetadata {
    preferencesId: string;
}
export type RelatedListUserPreferencesRepresentationNormalizedKeyMetadata = KeyParams & $64$luvio_engine_NormalizedKeyMetadata;
export type PartialRelatedListUserPreferencesRepresentationNormalizedKeyMetadata = Partial<KeyParams> & $64$luvio_engine_NormalizedKeyMetadata;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: KeyParams): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: KeyParams): RelatedListUserPreferencesRepresentationNormalizedKeyMetadata;
export declare function keyBuilderFromType(luvio: $64$luvio_engine_Luvio, object: RelatedListUserPreferencesRepresentation): string;
export declare function keyBuilderFromType_StructuredKey(luvio: $64$luvio_engine_Luvio, object: RelatedListUserPreferencesRepresentation): $64$luvio_engine_NormalizedKeyMetadata;
export declare function normalize(input: RelatedListUserPreferencesRepresentation, existing: RelatedListUserPreferencesRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): RelatedListUserPreferencesRepresentationNormalized;
export declare const select: () => $64$luvio_engine_BaseFragment;
export declare function equals(existing: RelatedListUserPreferencesRepresentationNormalized, incoming: RelatedListUserPreferencesRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: RelatedListUserPreferencesRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * RelatedListUserPreferencesRepresentation
 *
 * Keys:
 *    preferencesId (string): preferencesId
 */
export interface RelatedListUserPreferencesRepresentationNormalized {
    /** Column width preferences for the related list. */
    columnWidths: {
        [key: string]: number;
    };
    /** Column wrapping preferences for the related list. */
    columnWrap: {
        [key: string]: boolean;
    };
    /** Ordering preference for the related list. */
    orderedBy: Array<ListOrderByInfoRepresentation_ListOrderByInfoRepresentation>;
    /** Preference id for these preferences. */
    preferencesId: string;
}
/**
 * RelatedListUserPreferencesRepresentation
 *
 * Keys:
 *    preferencesId (string): preferencesId
 */
export interface RelatedListUserPreferencesRepresentation {
    columnWidths: {
        [key: string]: number;
    };
    columnWrap: {
        [key: string]: boolean;
    };
    orderedBy: Array<ListOrderByInfoRepresentation_ListOrderByInfoRepresentation>;
    preferencesId: string;
}
