import { SearchFilterDefinitionRepresentation as SearchFilterDefinitionRepresentation_SearchFilterDefinitionRepresentation } from './SearchFilterDefinitionRepresentation';
import { SearchFieldFilterAttributesRepresentation as SearchFieldFilterAttributesRepresentation_SearchFieldFilterAttributesRepresentation } from './SearchFieldFilterAttributesRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
import { SearchFieldFilterTextAttributesRepresentation as SearchFieldFilterTextAttributesRepresentation_SearchFieldFilterTextAttributesRepresentation } from './SearchFieldFilterTextAttributesRepresentation';
import { SearchFieldFilterSelectAttributesRepresentation as SearchFieldFilterSelectAttributesRepresentation_SearchFieldFilterSelectAttributesRepresentation } from './SearchFieldFilterSelectAttributesRepresentation';
export declare const VERSION = "527a4aeda553e8850b37d1c5340c7985";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: SearchFieldFilterDefinitionRepresentation, existing: SearchFieldFilterDefinitionRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): SearchFieldFilterDefinitionRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: SearchFieldFilterDefinitionRepresentationNormalized, incoming: SearchFieldFilterDefinitionRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: SearchFieldFilterDefinitionRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Field filter definition
 *
 * Keys:
 *    (none)
 */
export interface SearchFieldFilterDefinitionRepresentationNormalized extends SearchFilterDefinitionRepresentation_SearchFilterDefinitionRepresentation {
    /** The affordance name that displays the filter */
    affordance: string;
    /** Api name of the object with filter field */
    attributes: SearchFieldFilterAttributesRepresentation_SearchFieldFilterAttributesRepresentation;
    /** The field's path targeted by this filter. Examples: CaseNumber, Account.ParentId */
    targetFieldPath: string;
}
/**
 * Field filter definition
 *
 * Keys:
 *    (none)
 */
export interface SearchFieldFilterDefinitionRepresentation extends SearchFilterDefinitionRepresentation_SearchFilterDefinitionRepresentation {
    affordance: string;
    attributes: SearchFieldFilterTextAttributesRepresentation_SearchFieldFilterTextAttributesRepresentation | SearchFieldFilterSelectAttributesRepresentation_SearchFieldFilterSelectAttributesRepresentation;
    targetFieldPath: string;
    type: 'Field';
}
