import { SearchFilterDefinitionRepresentation as SearchFilterDefinitionRepresentation_SearchFilterDefinitionRepresentation } from './SearchFilterDefinitionRepresentation';
import { KeyMetadata as $64$luvio_engine_KeyMetadata, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Luvio as $64$luvio_engine_Luvio, IngestPath as $64$luvio_engine_IngestPath, Store as $64$luvio_engine_Store, BaseFragment as $64$luvio_engine_BaseFragment, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap } from '@luvio/engine';
import { SearchFieldFilterDefinitionRepresentation as SearchFieldFilterDefinitionRepresentation_SearchFieldFilterDefinitionRepresentation } from './SearchFieldFilterDefinitionRepresentation';
import { SearchDataCategoryFilterDefinitionRepresentation as SearchDataCategoryFilterDefinitionRepresentation_SearchDataCategoryFilterDefinitionRepresentation } from './SearchDataCategoryFilterDefinitionRepresentation';
export declare const TTL = 30000;
export declare const VERSION = "46ebae6041d5914e45bd2ccc6cb89271";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export interface KeyParams extends $64$luvio_engine_KeyMetadata {
    objectApiName: string;
    channel: string | null;
    configurationName: string | null;
}
export type SearchFilterMetadataCollectionRepresentationNormalizedKeyMetadata = KeyParams & $64$luvio_engine_NormalizedKeyMetadata;
export type PartialSearchFilterMetadataCollectionRepresentationNormalizedKeyMetadata = Partial<KeyParams> & $64$luvio_engine_NormalizedKeyMetadata;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: KeyParams): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: KeyParams): SearchFilterMetadataCollectionRepresentationNormalizedKeyMetadata;
export declare function keyBuilderFromType(luvio: $64$luvio_engine_Luvio, object: SearchFilterMetadataCollectionRepresentation): string;
export declare function keyBuilderFromType_StructuredKey(luvio: $64$luvio_engine_Luvio, object: SearchFilterMetadataCollectionRepresentation): $64$luvio_engine_NormalizedKeyMetadata;
export declare function normalize(input: SearchFilterMetadataCollectionRepresentation, existing: SearchFilterMetadataCollectionRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): SearchFilterMetadataCollectionRepresentationNormalized;
export declare const select: () => $64$luvio_engine_BaseFragment;
export declare function equals(existing: SearchFilterMetadataCollectionRepresentationNormalized, incoming: SearchFilterMetadataCollectionRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: SearchFilterMetadataCollectionRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Search filter metadata response.
 *
 * Keys:
 *    objectApiName (string): objectApiName
 *    channel (string | null): channel
 *    configurationName (string | null): configurationName
 */
export interface SearchFilterMetadataCollectionRepresentationNormalized {
    /** Additional channel associated to the object. */
    channel: string | null;
    /** Applied configuration associated to the metadata. */
    configurationName: string | null;
    /** List of filter definitions. */
    filters: Array<SearchFilterDefinitionRepresentation_SearchFilterDefinitionRepresentation>;
    /** Api name of the object associated to the metadata. */
    objectApiName: string;
}
/**
 * Search filter metadata response.
 *
 * Keys:
 *    objectApiName (string): objectApiName
 *    channel (string | null): channel
 *    configurationName (string | null): configurationName
 */
export interface SearchFilterMetadataCollectionRepresentation {
    channel: string | null;
    configurationName: string | null;
    filters: Array<SearchFieldFilterDefinitionRepresentation_SearchFieldFilterDefinitionRepresentation | SearchDataCategoryFilterDefinitionRepresentation_SearchDataCategoryFilterDefinitionRepresentation>;
    objectApiName: string;
}
