import { SearchObjectOptionsRepresentation as SearchObjectOptionsRepresentation_SearchObjectOptionsRepresentation } from './SearchObjectOptionsRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "3ad64f41dabd0816217f66959cf2b809";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: SearchRequestInputRepresentation, existing: SearchRequestInputRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): SearchRequestInputRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: SearchRequestInputRepresentationNormalized, incoming: SearchRequestInputRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: SearchRequestInputRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Input parameters to request on Search
 *
 * Keys:
 *    (none)
 */
export interface SearchRequestInputRepresentationNormalized {
    /** The accepted answer types */
    answerTypes?: Array<string>;
    /** A configuration name defined in Search Manager */
    configurationName?: string;
    /** A list of supported objects, such as Account. */
    objectApiNames?: Array<string>;
    /** A map of search objects to pass additional options like explicit filters */
    searchObjectOptions?: {
        [key: string]: SearchObjectOptionsRepresentation_SearchObjectOptionsRepresentation;
    };
}
/**
 * Input parameters to request on Search
 *
 * Keys:
 *    (none)
 */
export interface SearchRequestInputRepresentation {
    answerTypes?: Array<string>;
    configurationName?: string;
    objectApiNames?: Array<string>;
    searchObjectOptions?: {
        [key: string]: SearchObjectOptionsRepresentation_SearchObjectOptionsRepresentation;
    };
}
