import { ErrorMessageRepresentation as ErrorMessageRepresentation_ErrorMessageRepresentation } from './ErrorMessageRepresentation';
import { ListOrderByInfoRepresentation as ListOrderByInfoRepresentation_ListOrderByInfoRepresentation } from './ListOrderByInfoRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, ResourceIngest as $64$luvio_engine_ResourceIngest, FragmentSelection as $64$luvio_engine_FragmentSelection, LinkSelection as $64$luvio_engine_LinkSelection, StoreLink as $64$luvio_engine_StoreLink, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
import { SearchResultRepresentation as SearchResultRepresentation_SearchResultRepresentation } from './SearchResultRepresentation';
export declare const VERSION = "f22cddc44a1446bc43aa8f8d15476599";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: SearchResultCollectionRepresentation, existing: SearchResultCollectionRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): SearchResultCollectionRepresentationNormalized;
export interface DynamicIngestParams {
    records: $64$luvio_engine_ResourceIngest;
}
export declare function dynamicNormalize(ingestParams: DynamicIngestParams): (input: SearchResultCollectionRepresentation, existing: SearchResultCollectionRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number) => SearchResultCollectionRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export interface DynamicSelectParams {
    records?: $64$luvio_engine_LinkSelection;
}
export declare const dynamicSelect: (params: DynamicSelectParams) => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: SearchResultCollectionRepresentationNormalized, incoming: SearchResultCollectionRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: SearchResultCollectionRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
export declare function dynamicIngest(ingestParams: DynamicIngestParams): $64$luvio_engine_ResourceIngest;
/**
 * Search results for one object
 *
 * Keys:
 *    (none)
 */
export interface SearchResultCollectionRepresentationNormalized {
    /** The token of the current page of records. */
    currentPageToken: string;
    /** Error description if we were not able to load the records on the object */
    error: ErrorMessageRepresentation_ErrorMessageRepresentation | null;
    /** The token of the next page of records. */
    nextPageToken: string | null;
    /** Object API name. */
    objectApiName: string;
    /** The sortBy field requested when these records were fetched. */
    orderBy: Array<ListOrderByInfoRepresentation_ListOrderByInfoRepresentation>;
    /** The pageSize given in the query parameter.  If no pageSize is provided, this contains the default value used. */
    pageSize: number;
    /** The token of the previous page of records. */
    previousPageToken: string | null;
    /** List of records with search metadata */
    records: Array<$64$luvio_engine_StoreLink>;
    /** Which objects are associated to the current object based on the Search layout. (e.g. Contacts with Contact.Account.Name) */
    relatedObjectApiNames: Array<string>;
}
/**
 * Search results for one object
 *
 * Keys:
 *    (none)
 */
export interface SearchResultCollectionRepresentation {
    currentPageToken: string;
    error: ErrorMessageRepresentation_ErrorMessageRepresentation | null;
    nextPageToken: string | null;
    objectApiName: string;
    orderBy: Array<ListOrderByInfoRepresentation_ListOrderByInfoRepresentation>;
    pageSize: number;
    previousPageToken: string | null;
    records: Array<SearchResultRepresentation_SearchResultRepresentation>;
    relatedObjectApiNames: Array<string>;
}
