import { AbstractRecordLayoutComponentRepresentation as AbstractRecordLayoutComponentRepresentation_AbstractRecordLayoutComponentRepresentation } from './AbstractRecordLayoutComponentRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "e2dd1c316486452be66eaf3104063f7d";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: VisualforceLayoutComponentRepresentation, existing: VisualforceLayoutComponentRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): VisualforceLayoutComponentRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: VisualforceLayoutComponentRepresentationNormalized, incoming: VisualforceLayoutComponentRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: VisualforceLayoutComponentRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Visualforce record layout component.
 *
 * Keys:
 *    (none)
 */
export interface VisualforceLayoutComponentRepresentationNormalized extends AbstractRecordLayoutComponentRepresentation_AbstractRecordLayoutComponentRepresentation {
    /** Height */
    height: string;
    /** Indicates whether to show the section label with this VF component. */
    showLabel: boolean;
    /** Show scroll */
    showScroll: boolean;
    /** Visualforce URL. */
    visualforceUrl: string;
    /** Width */
    width: string;
}
/**
 * Visualforce record layout component.
 *
 * Keys:
 *    (none)
 */
export interface VisualforceLayoutComponentRepresentation extends AbstractRecordLayoutComponentRepresentation_AbstractRecordLayoutComponentRepresentation {
    height: string;
    showLabel: boolean;
    showScroll: boolean;
    visualforceUrl: string;
    width: string;
    componentType: 'VisualforcePage';
}
