import type { ConfigurationForGraphQLAdapters, ConfigurationForOneStoreEnabledAdapters, ConfigurationForRestAdapters } from './configuration';
import type { Instrument } from './instrumentation';
export * from './predictive-loading';
export { MRU } from './wire/getListUi';
export { notifyChangeFactory as GetRecordNotifyChange } from './wire/getRecord';
export { notifyUpdateAvailableFactory as NotifyRecordUpdateAvailable } from './generated/types/RecordRepresentation';
export { notifyUpdateAvailableFactory as NotifyListRecordCollectionUpdateAvailable } from './generated/types/ListRecordCollectionRepresentation';
export { notifyUpdateAvailableFactory as NotifyListViewSummaryUpdateAvailable } from './generated/types/ListViewSummaryCollectionRepresentation';
export { notifyUpdateAvailableFactory as NotifyListInfoSummaryUpdateAvailable } from './generated/types/ListInfoSummaryCollectionRepresentation';
export { notifyUpdateAvailableFactory as NotifyListInfoUpdateAvailable } from './raml-artifacts/types/ListInfoRepresentation/notifyUpdateAvailableFactory';
export { ClientOptions as UpdateRecordClientOptions } from './wire/updateRecord';
export type { GetRecordConfig } from './generated/adapters/getRecord';
export type { GetRecordsConfig } from './raml-artifacts/adapters/getRecords/GetRecordsConfig';
export type { UpdateRecordConfig } from './generated/adapters/updateRecord';
export type { CreateRecordConfig } from './generated/adapters/createRecord';
export type { DeleteRecordConfig } from './generated/adapters/deleteRecord';
export type { GetObjectInfoConfig } from './generated/adapters/getObjectInfo';
export type { GetObjectInfosConfig } from './generated/adapters/getObjectInfos';
export type { GetListInfoByNameConfig } from './generated/adapters/getListInfoByName';
export type { GetListRecordsByNameConfig } from './generated/adapters/getListRecordsByName';
export type { GetListInfosByObjectNameConfig } from './generated/adapters/getListInfosByObjectName';
export type { GetListObjectInfoConfig } from './generated/adapters/getListObjectInfo';
export type { GetObjectInfoDirectoryConfig } from './generated/adapters/getObjectInfoDirectory';
export type { GetRecordActionsConfig } from './generated/adapters/getRecordActions';
export type { GetRecordAvatarsConfig } from './generated/adapters/getRecordAvatars';
export type { GetRelatedListsActionsConfig } from './generated/adapters/getRelatedListsActions';
export type { GetRelatedListRecordsConfig } from './generated/adapters/getRelatedListRecords';
export type { GetRelatedListRecordsBatchConfig } from './generated/adapters/getRelatedListRecordsBatch';
export type { GetRelatedListInfoConfig } from './generated/adapters/getRelatedListInfo';
export type { GetRelatedListInfoBatchConfig } from './generated/adapters/getRelatedListInfoBatch';
export { untrustedIsObject, keyPrefix as UiApiNamespace } from './generated/adapters/adapter-utils';
export type { RecordRepresentation } from './generated/types/RecordRepresentation';
export { RecordRepresentationNormalized, keyBuilder as keyBuilderRecord, KeyParams as KeyParamsRecord, RepresentationType as RecordRepresentationRepresentationType, VERSION as RecordRepresentationVersion, TTL as RecordRepresentationTTL, RepresentationType as RecordRepresentationType, } from './generated/types/RecordRepresentation';
export { ingest as ingestRecord, createIngestRecordWithFields, } from './raml-artifacts/types/RecordRepresentation/ingest';
export { getTypeCacheKeys as getTypeCacheKeysRecord } from './raml-artifacts/types/RecordRepresentation/getTypeCacheKeys';
export { ObjectInfoRepresentation, keyBuilder as keyBuilderObjectInfo, ingest as ingestObjectInfo, RepresentationType as ObjectInfoRepresentationType, } from './generated/types/ObjectInfoRepresentation';
export { ObjectInfoDirectoryRepresentation, RepresentationType as ObjectInfoDirectoryEntryRepresentationType, } from './generated/types/ObjectInfoDirectoryRepresentation';
export { FieldValueRepresentation, FieldValueRepresentationNormalized, } from './generated/types/FieldValueRepresentation';
export { BatchRepresentation } from './generated/types/BatchRepresentation';
export { SimplifiedBatchRepresentation } from './generated/types/SimplifiedBatchRepresentation';
export { RelatedListRecordCollectionBatchRepresentation } from './generated/types/RelatedListRecordCollectionBatchRepresentation';
export { RelatedListRecordCollectionRepresentation } from './generated/types/RelatedListRecordCollectionRepresentation';
export { ingest as ingestQuickActionExecutionRepresentation, keyBuilder as keyBuilderQuickActionExecutionRepresentation, } from './generated/types/QuickActionExecutionRepresentation';
export type { QuickActionExecutionRepresentation } from './generated/types/QuickActionExecutionRepresentation';
export { notifyUpdateAvailableFactory as NotifyQuickActionDefaultsUpdateAvailable } from './generated/types/QuickActionDefaultsRepresentation';
export type { PerformActionInputRepresentation } from './generated/types/PerformActionInputRepresentation';
export type { RecordInputRepresentation } from './generated/types/RecordInputRepresentation';
export type { GraphQLRepresentation, GraphQLRepresentationData, } from './generated/types/GraphQLRepresentation';
export type { GraphQLBatchRepresentation } from './wire/graphqlBatch/postGraphqlBatch';
export type { GraphqlBatchConfig } from './wire/graphqlBatch';
export type { GraphQLInputRepresentation } from './generated/types/GraphQLInputRepresentation';
export type { GraphqlConfig as GraphQLConfig, BuildSnapshotContext as GraphQLBuildSnapshotContext, } from './generated/adapters/graphql';
export * from './generated/artifacts/main';
export * from './util/store-utils';
export type { CreateContentVersionConfig } from './wire/createContentVersion/AdapterConfig';
export type { CreateContentDocumentAndVersionConfig } from './wire/createContentDocumentAndVersion/AdapterConfig';
export type { ResourceRequestConfig as CreateContentDocumentAndVersionResourceRequestConfig } from './wire/createContentDocumentAndVersion/ResourceRequestConfig';
export type { ResourceRequestConfig as CreateContentVersionResourceRequestConfig } from './wire/createContentVersion/ResourceRequestConfig';
export type { DraftAwareCreateRecordAdapter } from './wire/createRecord/configurationTypes';
export type { DraftAwareUpdateRecordAdapter } from './wire/updateRecord/configurationTypes';
export type { DraftAwareDeleteRecordAdapter } from './wire/deleteRecord/configurationTypes';
export type { DraftAwareCreateContentDocumentAndVersionAdapter } from './wire/createContentDocumentAndVersion/configurationTypes';
export type { DraftAwareCreateContentVersionAdapter } from './wire/createContentVersion/configurationTypes';
export type { DraftAwarePerformQuickActionAdapter } from './wire/performQuickAction/configurationTypes';
export type { DraftAwarePerformUpdateRecordQuickActionAdapter } from './wire/performUpdateRecordQuickAction/configurationTypes';
export type { DraftAwareGraphQLAdapter } from './wire/graphql/configurationTypes';
export type { EnvironmentAwareGraphQLBatchAdapter } from './wire/graphqlBatch/configurationTypes';
export type { ContentDocumentCompositeRepresentation } from './generated/types/ContentDocumentCompositeRepresentation';
export { keyBuilderFromType as keyBuilderFromTypeRecordRepresentation } from './generated/types/RecordRepresentation';
export { keyBuilderFromType as keyBuilderFromTypeContentDocumentCompositeRepresentation, keyBuilder as keyBuilderContentDocumentCompositeRepresentation, } from './generated/types/ContentDocumentCompositeRepresentation';
export { ingest as ingestContentDocumentCompositeRepresentation } from './generated/types/ContentDocumentCompositeRepresentation';
export { getResponseCacheKeys as getResponseCacheKeysContentDocumentCompositeRepresentation } from './generated/resources/postUiApiRecordsContentDocumentsContentVersionsByContentDocumentId';
export { ingest as ingestRecordUi } from './generated/types/RecordUiRepresentation';
export { ingest as ingestListInfo } from './generated/types/ListInfoRepresentation';
export { ingest as ingestRelatedListInfo } from './generated/types/RelatedListInfoRepresentation';
export { ingest as ingestRelatedListInfoBatch } from './generated/types/RelatedListInfoBatchRepresentation';
export { ingest as ingestRelatedListRecords } from './generated/types/RelatedListRecordCollectionRepresentation';
export { ingest as ingestRelatedListRecordsBatch } from './generated/types/RelatedListRecordCollectionBatchRepresentation';
export { ingest as ingestDuplicateConfiguration } from './generated/types/DuplicatesConfigurationRepresentation';
export { ingest as ingestDuplicatesRepresentation } from './generated/types/DuplicatesRepresentation';
export { ingest as ingestRelatedListSummaryInfoCollection } from './generated/types/RelatedListSummaryInfoCollectionRepresentation';
export { ingest as ingestUiApiGraphql } from './generated/types/GraphQLRepresentation';
export { ingest as ingestListRecords } from './generated/types/ListRecordCollectionRepresentation';
export { RecordRepresentationQueryEvaluator, InMemoryRecordRepresentationQueryEvaluator, } from './query-evaluation/record-representation-query-evaluator';
export { createRecordInputFilteredByEditedFields, generateRecordInputForCreate, generateRecordInputForUpdate, getFieldDisplayValue, getRecordInput, getFieldValue, } from './uiapi-static-functions';
export { buildSelectionFromFields, buildSelectionFromRecord } from './selectors/record';
export { createFieldsIngestSuccess as getRecordResourceIngest } from './generated/fields/resources/getUiApiRecordsByRecordId';
export type Configuration = ConfigurationForRestAdapters & ConfigurationForGraphQLAdapters & ConfigurationForOneStoreEnabledAdapters;
export declare const configuration: {
    setGetObjectInfoAdapter: (adapter: import("@lwc/engine-core").WireAdapterConstructor) => void;
    getGetObjectInfoAdapter: () => import("@lwc/engine-core").WireAdapterConstructor | undefined;
    setGetObjectInfosAdapter: (adapter: import("@lwc/engine-core").WireAdapterConstructor) => void;
    getGetObjectInfosAdapter: () => import("@lwc/engine-core").WireAdapterConstructor | undefined;
    getDraftAwareGraphQLAdapter: () => import("./wire/graphql/configurationTypes").DraftAwareGraphQLAdapter | undefined;
    setDraftAwareGraphQLAdapter: (value: import("./wire/graphql/configurationTypes").DraftAwareGraphQLAdapter) => void;
    getEnvironmentAwareGraphQLBatchAdapter: () => import("./wire/graphqlBatch/configurationTypes").EnvironmentAwareGraphQLBatchAdapter | undefined;
    setEnvironmentAwareGraphQLBatchAdapter: (value: import("./wire/graphqlBatch/configurationTypes").EnvironmentAwareGraphQLBatchAdapter) => void;
    getKeywordSearchResultsAdapterFactory: () => import("@luvio/engine").AdapterFactory<import("./generated/adapters/getKeywordSearchResults").GetKeywordSearchResultsConfig, import("./generated/types/KeywordSearchResultsSummaryRepresentation").KeywordSearchResultsSummaryRepresentation> | undefined;
    setGetKeywordSearchResultsAdapterFactory: (value: import("@luvio/engine").AdapterFactory<import("./generated/adapters/getKeywordSearchResults").GetKeywordSearchResultsConfig, import("./generated/types/KeywordSearchResultsSummaryRepresentation").KeywordSearchResultsSummaryRepresentation>) => void;
    getListRecordsByNameAdapterFactory: () => import("@luvio/engine").AdapterFactory<import("./generated/adapters/getListRecordsByName").GetListRecordsByNameConfig, import("./generated/types/ListRecordCollectionRepresentation").ListRecordCollectionRepresentation> | undefined;
    setGetListRecordsByNameAdapterFactory: (value: import("@luvio/engine").AdapterFactory<import("./generated/adapters/getListRecordsByName").GetListRecordsByNameConfig, import("./generated/types/ListRecordCollectionRepresentation").ListRecordCollectionRepresentation>) => void;
    getListUiAdapterFactory: () => import("@luvio/engine").AdapterFactory<import("./generated/adapters/getListViewSummaryCollection").GetListViewSummaryCollectionConfig | import("./generated/adapters/getListUiByApiName").GetListUiByApiNameConfig | import("./generated/adapters/getListUiByListViewId").GetListUiByListViewIdConfig | import("./generated/adapters/getMruListUi").GetMruListUiConfig, import("./generated/types/ListUiRepresentation").ListUiRepresentation | import("./generated/types/ListViewSummaryCollectionRepresentation").ListViewSummaryCollectionRepresentation> | undefined;
    setGetListUiAdapterFactory: (value: import("@luvio/engine").AdapterFactory<import("./generated/adapters/getListViewSummaryCollection").GetListViewSummaryCollectionConfig | import("./generated/adapters/getListUiByApiName").GetListUiByApiNameConfig | import("./generated/adapters/getListUiByListViewId").GetListUiByListViewIdConfig | import("./generated/adapters/getMruListUi").GetMruListUiConfig, import("./generated/types/ListUiRepresentation").ListUiRepresentation | import("./generated/types/ListViewSummaryCollectionRepresentation").ListViewSummaryCollectionRepresentation>) => void;
    getLookupRecordsAdapterFactory: () => import("@luvio/engine").AdapterFactory<import("./generated/adapters/getLookupRecords").GetLookupRecordsConfig, import("./generated/types/LookupValuesRepresentation").LookupValuesRepresentation> | undefined;
    setGetLookupRecordsAdapterFactory: (value: import("@luvio/engine").AdapterFactory<import("./generated/adapters/getLookupRecords").GetLookupRecordsConfig, import("./generated/types/LookupValuesRepresentation").LookupValuesRepresentation>) => void;
    getQuickActionDefaultsAdapterFactory: () => import("@luvio/engine").AdapterFactory<import("./generated/adapters/getQuickActionDefaults").GetQuickActionDefaultsConfig, import("./generated/types/QuickActionDefaultsRepresentation").QuickActionDefaultsRepresentation> | undefined;
    setGetQuickActionDefaultsAdapterFactory: (value: import("@luvio/engine").AdapterFactory<import("./generated/adapters/getQuickActionDefaults").GetQuickActionDefaultsConfig, import("./generated/types/QuickActionDefaultsRepresentation").QuickActionDefaultsRepresentation>) => void;
    getRecordCreateDefaultsAdapterFactory: () => import("@luvio/engine").AdapterFactory<import("./generated/adapters/getRecordCreateDefaults").GetRecordCreateDefaultsConfig, import("./generated/types/RecordDefaultsRepresentation").RecordDefaultsRepresentation> | undefined;
    setGetRecordCreateDefaultsAdapterFactory: (value: import("@luvio/engine").AdapterFactory<import("./generated/adapters/getRecordCreateDefaults").GetRecordCreateDefaultsConfig, import("./generated/types/RecordDefaultsRepresentation").RecordDefaultsRepresentation>) => void;
    getRecordTemplateCloneAdapterFactory: () => import("@luvio/engine").AdapterFactory<import("./generated/adapters/getRecordTemplateClone").GetRecordTemplateCloneConfig, import("./generated/types/RecordDefaultsTemplateCloneRepresentation").RecordDefaultsTemplateCloneRepresentation> | undefined;
    setGetRecordTemplateCloneAdapterFactory: (value: import("@luvio/engine").AdapterFactory<import("./generated/adapters/getRecordTemplateClone").GetRecordTemplateCloneConfig, import("./generated/types/RecordDefaultsTemplateCloneRepresentation").RecordDefaultsTemplateCloneRepresentation>) => void;
    getRecordTemplateCreateAdapterFactory: () => import("@luvio/engine").AdapterFactory<import("./generated/adapters/getRecordTemplateCreate").GetRecordTemplateCreateConfig, import("./generated/types/RecordDefaultsTemplateCreateRepresentation").RecordDefaultsTemplateCreateRepresentation> | undefined;
    setGetRecordTemplateCreateAdapterFactory: (value: import("@luvio/engine").AdapterFactory<import("./generated/adapters/getRecordTemplateCreate").GetRecordTemplateCreateConfig, import("./generated/types/RecordDefaultsTemplateCreateRepresentation").RecordDefaultsTemplateCreateRepresentation>) => void;
    getRecordUiAdapterFactory: () => import("@luvio/engine").AdapterFactory<import("./generated/adapters/getRecordUi").GetRecordUiConfig, import("./generated/types/RecordUiRepresentation").RecordUiRepresentation> | undefined;
    setGetRecordUiAdapterFactory: (value: import("@luvio/engine").AdapterFactory<import("./generated/adapters/getRecordUi").GetRecordUiConfig, import("./generated/types/RecordUiRepresentation").RecordUiRepresentation>) => void;
    getRecordAdapterFactory: () => import("@luvio/engine").AdapterFactory<import("./generated/adapters/getRecord").GetRecordConfig, import("./generated/types/RecordRepresentation").RecordRepresentation> | undefined;
    setGetRecordAdapterFactory: (value: import("@luvio/engine").AdapterFactory<import("./generated/adapters/getRecord").GetRecordConfig, import("./generated/types/RecordRepresentation").RecordRepresentation>) => void;
    getRecordsAdapterFactory: () => import("@luvio/engine").AdapterFactory<import("./raml-artifacts/adapters/getRecords/GetRecordsConfig").GetRecordsConfig, import("./generated/types/BatchRepresentation").BatchRepresentation> | undefined;
    setGetRecordsAdapterFactory: (value: import("@luvio/engine").AdapterFactory<import("./raml-artifacts/adapters/getRecords/GetRecordsConfig").GetRecordsConfig, import("./generated/types/BatchRepresentation").BatchRepresentation>) => void;
    getRelatedListRecordsAdapterFactory: () => import("@luvio/engine").AdapterFactory<import("./generated/adapters/getRelatedListRecords").GetRelatedListRecordsConfig, import("./generated/types/RelatedListRecordCollectionRepresentation").RelatedListRecordCollectionRepresentation> | undefined;
    setGetRelatedListRecordsAdapterFactory: (value: import("@luvio/engine").AdapterFactory<import("./generated/adapters/getRelatedListRecords").GetRelatedListRecordsConfig, import("./generated/types/RelatedListRecordCollectionRepresentation").RelatedListRecordCollectionRepresentation>) => void;
    getRelatedListRecordsBatchAdapterFactory: () => import("@luvio/engine").AdapterFactory<import("./generated/adapters/getRelatedListRecordsBatch").GetRelatedListRecordsBatchConfig, import("./generated/types/RelatedListRecordCollectionBatchRepresentation").RelatedListRecordCollectionBatchRepresentation> | undefined;
    setGetRelatedListRecordsBatchAdapterFactory: (value: import("@luvio/engine").AdapterFactory<import("./generated/adapters/getRelatedListRecordsBatch").GetRelatedListRecordsBatchConfig, import("./generated/types/RelatedListRecordCollectionBatchRepresentation").RelatedListRecordCollectionBatchRepresentation>) => void;
    getSearchResultsAdapterFactory: () => import("@luvio/engine").AdapterFactory<import("./generated/adapters/getSearchResults").GetSearchResultsConfig, import("./generated/types/SearchResultsSummaryRepresentation").SearchResultsSummaryRepresentation> | undefined;
    setGetSearchResultsAdapterFactory: (value: import("@luvio/engine").AdapterFactory<import("./generated/adapters/getSearchResults").GetSearchResultsConfig, import("./generated/types/SearchResultsSummaryRepresentation").SearchResultsSummaryRepresentation>) => void;
    setTrackedFieldDepthOnCacheMiss: (trackedFieldDepthOnCacheMissParam: number) => void;
    getTrackedFieldDepthOnCacheMiss: () => number;
    setTrackedFieldDepthOnCacheMergeConflict: (trackedFieldDepthOnCacheMergeConflictParam: number) => void;
    getTrackedFieldDepthOnCacheMergeConflict: () => number;
    setTrackedFieldDepthOnNotifyChange: (trackedFieldDepthOnNotifyChangeParam: number) => void;
    getTrackedFieldDepthOnNotifyChange: () => number;
    setTrackedFieldLeafNodeIdAndNameOnly: (trackedFieldLeafNodeIdAndNameOnlyParam: boolean) => void;
    getTrackedFieldLeafNodeIdAndNameOnly: () => boolean;
    setRelatedListsPredictionsEnabled: (f: boolean) => void;
    areRelatedListsPredictionsEnabled: () => boolean;
    getDraftAwareCreateRecordAdapter: () => import("./wire/createRecord/configurationTypes").DraftAwareCreateRecordAdapter | undefined;
    setDraftAwareCreateRecordAdapter: (value: import("./wire/createRecord/configurationTypes").DraftAwareCreateRecordAdapter) => void;
    getDraftAwareUpdateRecordAdapter: () => import("./wire/updateRecord/configurationTypes").DraftAwareUpdateRecordAdapter | undefined;
    setDraftAwareUpdateRecordAdapter: (value: import("./wire/updateRecord/configurationTypes").DraftAwareUpdateRecordAdapter) => void;
    getDraftAwareDeleteRecordAdapter: () => import("./wire/deleteRecord/configurationTypes").DraftAwareDeleteRecordAdapter | undefined;
    setDraftAwareDeleteRecordAdapter: (value: import("./wire/deleteRecord/configurationTypes").DraftAwareDeleteRecordAdapter) => void;
    getDraftAwarePerformQuickActionAdapter: () => import("./wire/performQuickAction/configurationTypes").DraftAwarePerformQuickActionAdapter | undefined;
    setDraftAwarePerformQuickActionAdapter: (value: import("./wire/performQuickAction/configurationTypes").DraftAwarePerformQuickActionAdapter) => void;
    getDraftAwarePerformUpdateRecordQuickActionAdapter: () => import("./wire/performUpdateRecordQuickAction/configurationTypes").DraftAwarePerformUpdateRecordQuickActionAdapter | undefined;
    setDraftAwarePerformUpdateRecordQuickActionAdapter: (value: import("./wire/performUpdateRecordQuickAction/configurationTypes").DraftAwarePerformUpdateRecordQuickActionAdapter) => void;
    getDraftAwareCreateContentDocumentAndVersionAdapter: () => import("./wire/createContentDocumentAndVersion/configurationTypes").DraftAwareCreateContentDocumentAndVersionAdapter | undefined;
    setDraftAwareCreateContentDocumentAndVersionAdapter: (value: import("./wire/createContentDocumentAndVersion/configurationTypes").DraftAwareCreateContentDocumentAndVersionAdapter) => void;
    getDraftAwareCreateContentVersionAdapter: () => import("./wire/createContentVersion/configurationTypes").DraftAwareCreateContentVersionAdapter | undefined;
    setDraftAwareCreateContentVersionAdapter: (value: import("./wire/createContentVersion/configurationTypes").DraftAwareCreateContentVersionAdapter) => void;
};
export { Instrument, instrument } from './instrumentation';
export type { CachePolicy, CachePolicyCacheAndNetwork, CachePolicyCacheThenNetwork, CachePolicyNoCache, CachePolicyOnlyIfCached, CachePolicyStaleWhileRevalidate, CachePolicyValidAt, } from '@luvio/engine';
export { DataCallback, DataCallbackTuple, ImperativeAdapter } from '@salesforce/lds-bindings';
export { default as getRecordId18 } from './primitives/RecordId18/coerce';
export { default as coerceFieldIdArray } from './primitives/FieldIdArray/coerce';
export { default as coerceObjectId } from './primitives/ObjectId/coerce';
export { default as coerceObjectIdArray } from './primitives/ObjectIdArray/coerce';
export type Registration = {
    id: '@salesforce/lds-adapters-uiapi';
    configuration: Configuration;
    instrument: Instrument;
};
