export interface FieldId {
    objectApiName: string;
    fieldApiName: string;
}
export declare function isFieldId(unknown: unknown): unknown is FieldId;
export declare function getFieldId(value: string | FieldId): FieldId;
/**
 * Split the object API name and field API name from a qualified field name.
 * Eg: Opportunity.Title returns ['Opportunity', 'Title']
 * Eg: Opportunity.Account.Name returns ['Opportunity', 'Account.Name']
 * @param fieldApiName The qualified field name.
 * @return The object and field API names.
 */
export declare function splitQualifiedFieldApiName(fieldApiName: string): string[];
