import type { InMemoryStoreQueryEvaluator, ValueQuery, KeyQuery, KeyMetadata } from '@luvio/engine';
import { Wildcard } from '@luvio/engine';
import type { RecordRepresentation } from '../generated/types/RecordRepresentation';
export type RecordKeyQuery = {
    id?: string | typeof Wildcard;
};
export type RecordValueQuery = ValueQuery<RecordRepresentation>;
export declare const recordRepresentationKeySchema: string[];
export interface RecordRepresentationQueryEvaluator {
    queryByKey(keyQuery: RecordKeyQuery): Promise<KeyMetadata[]>;
    queryWhere(valueQuery: RecordValueQuery, keyQuery?: RecordKeyQuery): Promise<KeyMetadata[]>;
}
export declare class InMemoryRecordRepresentationQueryEvaluator implements RecordRepresentationQueryEvaluator {
    private baseQueryEvaluator;
    constructor(baseQueryEvaluator: InMemoryStoreQueryEvaluator);
    queryByKey(keyQuery: KeyQuery): Promise<KeyMetadata[]>;
    queryWhere(valueQuery: RecordValueQuery, keyQuery?: RecordKeyQuery): Promise<KeyMetadata[]>;
    private buildKeyQuery;
}
