import { updateRelatedListInfoAdapterFactory, updateRelatedListPreferencesAdapterFactory } from './main';
export { MRU } from './wire/getListUi';
export * from './generated/artifacts/sfdc_restAdapters';
export * from './util/store-utils';
export * from './predictive-loading';
export declare const refresh: <D>(data: D) => Promise<undefined> | undefined;
export declare const updateLayoutUserState: (apiName: unknown, recordTypeId: unknown, layoutType: unknown, mode: unknown, layoutUserStateInput: unknown) => Promise<undefined>;
export declare const updateRelatedListInfo: (config: Parameters<ReturnType<typeof updateRelatedListInfoAdapterFactory>>[0]) => Promise<import("./generated/types/RelatedListInfoRepresentation").RelatedListInfoRepresentation | undefined> | undefined;
export declare const updateRelatedListPreferences: (config: Parameters<ReturnType<typeof updateRelatedListPreferencesAdapterFactory>>[0]) => Promise<import("./generated/types/RelatedListUserPreferencesRepresentation").RelatedListUserPreferencesRepresentation | undefined> | undefined;
/** SFDC utils */
export declare let getRecordNotifyChange: any;
export declare let notifyRecordUpdateAvailable: any;
export declare let notifyListViewSummaryUpdateAvailable: any;
export declare let notifyListInfoSummaryUpdateAvailable: any;
export declare let notifyListInfoUpdateAvailable: any;
export declare let notifyQuickActionDefaultsUpdateAvailable: any;
export declare let notifyListRecordCollectionUpdateAvailable: any;
export declare let notifyAllListRecordUpdateAvailable: any;
export declare let notifyAllListInfoSummaryUpdateAvailable: any;
export { createRecordInputFilteredByEditedFields, generateRecordInputForCreate, generateRecordInputForUpdate, getFieldDisplayValue, getFieldValue, getRecordInput, } from './uiapi-static-functions';
export { keyBuilder as keyBuilderRecord } from './generated/types/RecordRepresentation';
export { ingest as ingestRecord, createIngestRecordWithFields, } from './raml-artifacts/types/RecordRepresentation/ingest';
export { keyBuilder as keyBuilderObjectInfo, ingest as ingestObjectInfo, } from './generated/types/ObjectInfoRepresentation';
export { keyBuilder as keyBuilderQuickActionExecutionRepresentation, ingest as ingestQuickActionExecutionRepresentation, } from './generated/types/QuickActionExecutionRepresentation';
export { ConfigurationForRestAdapters as Configuration, configurationForRestAdapters as configuration, } from './configuration';
export { instrument, Instrument, Registration } from './main';
export { CachePolicy, CachePolicyCacheAndNetwork, CachePolicyCacheThenNetwork, CachePolicyNoCache, CachePolicyOnlyIfCached, CachePolicyStaleWhileRevalidate, CachePolicyValidAt, } from './main';
export { getRecordId18, coerceFieldIdArray, coerceObjectId, coerceObjectIdArray, getRecordAdapterFactory, getRecordsAdapterFactory, getRecordActionsAdapterFactory, getRecordAvatarsAdapterFactory, getObjectInfoAdapterFactory, getObjectInfosAdapterFactory, getObjectInfoDirectoryAdapterFactory, getRelatedListsActionsAdapterFactory, getRelatedListRecordsAdapterFactory, getRelatedListRecordsBatchAdapterFactory, getTypeCacheKeysRecord, RecordRepresentationVersion, RecordRepresentationTTL, RecordRepresentationType, ObjectInfoRepresentationType, ObjectInfoDirectoryEntryRepresentationType, RecordRepresentationRepresentationType, keyBuilderFromTypeRecordRepresentation, keyBuilderFromTypeContentDocumentCompositeRepresentation, keyBuilderContentDocumentCompositeRepresentation, ingestContentDocumentCompositeRepresentation, getResponseCacheKeysContentDocumentCompositeRepresentation, getRelatedListInfoAdapterFactory, getRelatedListInfoBatchAdapterFactory, getListInfoByNameAdapterFactory, getListObjectInfoAdapterFactory, getListRecordsByNameAdapterFactory, getListInfosByObjectNameAdapterFactory, } from './main';
export { UiApiNamespace, InMemoryRecordRepresentationQueryEvaluator } from './main';
