import type { AdapterFactory, Luvio, FulfilledSnapshot, DispatchResourceRequestContext } from '@luvio/engine';
import type { LookupValuesRepresentation } from '../../generated/types/LookupValuesRepresentation';
import type { GetLookupRecordsConfig } from '../../generated/adapters/getLookupRecords';
import type { FieldId } from '../../primitives/FieldId';
import type { RecordInputRepresentation as types_RecordInputRepresentation_RecordInputRepresentation } from '../../generated/types/RecordInputRepresentation';
import type { ListOrderedByInfoInputRepresentation as types_ListOrderedByInfoInputRepresentation } from '../../generated/types/ListOrderedByInfoInputRepresentation';
interface GetLookupRecordsConfigRequestParams {
    q?: string;
    page?: number;
    pageSize?: number;
    dependentFieldBindings?: string[];
    searchType?: 'Recent' | 'Search' | 'TypeAhead';
    sourceRecordId?: string;
    targetApiName?: string;
    sourceRecord?: types_RecordInputRepresentation_RecordInputRepresentation;
    orderBy?: types_ListOrderedByInfoInputRepresentation[];
}
export interface GetLookupRecordsAdapterConfig {
    fieldApiName: string | FieldId;
    requestParams?: GetLookupRecordsConfigRequestParams;
}
export declare function buildNetworkSnapshot(luvio: Luvio, config: GetLookupRecordsConfig, options?: DispatchResourceRequestContext): Promise<import("@luvio/engine").ErrorSnapshot | FulfilledSnapshot<LookupValuesRepresentation, {}>>;
export declare const factory: AdapterFactory<GetLookupRecordsConfig, LookupValuesRepresentation>;
export {};
