import type { AdapterValidationConfig, Untrusted as Untrusted } from '../../generated/adapters/adapter-utils';
import type { Luvio, Fragment, Snapshot, FetchResponse, ErrorResponse, DispatchResourceRequestContext, CoercedAdapterRequestContext, StoreLookup, AdapterFactory } from '@luvio/engine';
import type { ResourceRequestConfig, GraphQLBatchRepresentation } from './postGraphqlBatch';
import type { GraphqlConfig } from '../../generated/adapters/graphql';
export interface GraphqlBatchConfig {
    batchQuery: Array<GraphqlConfig>;
}
export declare function createResourceParams(config: GraphqlBatchConfig): ResourceRequestConfig;
export declare function transformConfiguration(config: GraphqlBatchConfig): GraphqlBatchConfig;
export declare function typeCheckConfig(untrustedConfig: Untrusted<GraphqlBatchConfig>): Untrusted<GraphqlBatchConfig>;
export declare const factory: AdapterFactory<GraphqlBatchConfig, GraphQLBatchRepresentation>;
export declare const adapterName = "graphqlBatch";
export declare const graphqlBatch_ConfigPropertyNames: AdapterValidationConfig;
export declare function keyBuilder(luvio: Luvio, config: GraphqlBatchConfig): string;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: AdapterValidationConfig): GraphqlBatchConfig | null;
export declare function adapterFragment(luvio: Luvio, config: GraphqlBatchConfig): Fragment;
export declare function buildCachedSnapshot(luvio: Luvio, config: GraphqlBatchConfig): Snapshot<GraphQLBatchRepresentation, any>;
export declare function onFetchResponseSuccess(luvio: Luvio, config: GraphqlBatchConfig, resourceParams: ResourceRequestConfig, response: FetchResponse<GraphQLBatchRepresentation>): Promise<import("@luvio/engine").FulfilledSnapshot<GraphQLBatchRepresentation, any> | import("@luvio/engine").StaleSnapshot<GraphQLBatchRepresentation, any> | import("@luvio/engine").PendingSnapshot<GraphQLBatchRepresentation, any>>;
export declare function onFetchResponseError(luvio: Luvio, config: GraphqlBatchConfig, resourceParams: ResourceRequestConfig, response: ErrorResponse): Promise<import("@luvio/engine").ErrorSnapshot>;
export declare function buildNetworkSnapshot(luvio: Luvio, config: GraphqlBatchConfig, options?: DispatchResourceRequestContext): Promise<Snapshot<GraphQLBatchRepresentation, any>>;
export type BuildSnapshotContext = {
    luvio: Luvio;
    config: GraphqlBatchConfig;
};
export declare function buildNetworkSnapshotCachePolicy(context: BuildSnapshotContext, coercedAdapterRequestContext: CoercedAdapterRequestContext): Promise<Snapshot<GraphQLBatchRepresentation, any>>;
export declare function buildCachedSnapshotCachePolicy(context: BuildSnapshotContext, storeLookup: StoreLookup<GraphQLBatchRepresentation>): Snapshot<GraphQLBatchRepresentation, any>;
