import type { FetchResponse as $64$luvio_engine_FetchResponse, Luvio as $64$luvio_engine_Luvio, Fragment as $64$luvio_engine_Fragment, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, FulfilledSnapshot as $64$luvio_engine_FulfilledSnapshot, ErrorResponse as $64$luvio_engine_ErrorResponse, SnapshotRefresh as $64$luvio_engine_SnapshotRefresh, StaleSnapshot as $64$luvio_engine_StaleSnapshot, PendingSnapshot as $64$luvio_engine_PendingSnapshot, ErrorSnapshot as $64$luvio_engine_ErrorSnapshot, ResourceRequest as $64$luvio_engine_ResourceRequest, NormalizedKeyMetadata, HttpStatusCode } from '@luvio/engine';
import { StoreKeySet } from '@luvio/engine';
import type { ResourceRequestConfig as postGraphql_ResourceRequestConfig } from '../../generated/resources/postGraphql';
import type { GraphQLRepresentation } from '../../generated/types/GraphQLRepresentation';
import type { GraphqlConfig } from '../../generated/adapters/graphql';
export interface ResourceRequestConfig {
    body: {
        batchQuery: Array<GraphqlConfig>;
    };
}
interface NormalizedGraphQLRequest {
    query: String;
    variables?: any;
    operationName?: string;
}
interface NormalizedResourceRequestConfig {
    body: {
        batchQuery: Array<NormalizedGraphQLRequest>;
    };
}
export type GraphQLBatchRepresentation = {
    results: Array<GraphQLCompositeResult>;
};
type GraphQLCompositeResult = {
    statusCode: HttpStatusCode;
    result: GraphQLRepresentation;
};
export declare function createResourceRequest(config: ResourceRequestConfig): $64$luvio_engine_ResourceRequest;
export declare function stripDocumentsOfMetaschema(config: ResourceRequestConfig): NormalizedResourceRequestConfig;
export declare function createChildResourceParams(resourceParams: ResourceRequestConfig): postGraphql_ResourceRequestConfig[];
export declare function selectChildResourceParams(luvio: $64$luvio_engine_Luvio, childResources: postGraphql_ResourceRequestConfig[], resourceParams: ResourceRequestConfig): $64$luvio_engine_Fragment;
export declare function select(luvio: $64$luvio_engine_Luvio, resourceParams: ResourceRequestConfig): $64$luvio_engine_Fragment;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, params: ResourceRequestConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, params: ResourceRequestConfig): NormalizedKeyMetadata;
export declare function getResponseCacheKeys(keys: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, resourceParams: ResourceRequestConfig, response: GraphQLBatchRepresentation): void;
export declare function ingestSuccessChildResourceParams(luvio: $64$luvio_engine_Luvio, childConfigs: GraphqlConfig[], childResourceParamsArray: postGraphql_ResourceRequestConfig[], childEnvelopes: Array<any>): {
    childSnapshotData: GraphQLBatchRepresentation;
    seenRecords: StoreKeySet<string | NormalizedKeyMetadata>;
    snapshotState: string;
};
export declare function ingestSuccess(luvio: $64$luvio_engine_Luvio, resourceParams: ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<GraphQLBatchRepresentation>, snapshotRefresh: $64$luvio_engine_SnapshotRefresh<GraphQLBatchRepresentation>): $64$luvio_engine_FulfilledSnapshot<GraphQLBatchRepresentation, any> | $64$luvio_engine_StaleSnapshot<GraphQLBatchRepresentation, any> | $64$luvio_engine_PendingSnapshot<GraphQLBatchRepresentation, any>;
export declare function ingestError(luvio: $64$luvio_engine_Luvio, params: ResourceRequestConfig, error: $64$luvio_engine_ErrorResponse, snapshotRefresh?: $64$luvio_engine_SnapshotRefresh<GraphQLBatchRepresentation>): $64$luvio_engine_ErrorSnapshot;
export default createResourceRequest;
